package com.facebook.react.uimanager.events;

import android.view.MotionEvent;
import android.view.View;
import com.facebook.react.uimanager.RootViewUtil;

public class NativeGestureUtil {
    public static void notifyNativeGestureStarted(View view, MotionEvent motionEvent) {
        RootViewUtil.getRootView(view).onChildStartedNativeGesture(view, motionEvent);
    }

    public static void notifyNativeGestureEnded(View view, MotionEvent motionEvent) {
        RootViewUtil.getRootView(view).onChildEndedNativeGesture(view, motionEvent);
    }
}
