package com.flurry.sdk;

import android.app.Activity;
import android.content.Context;
import android.os.SystemClock;
import com.flurry.android.Consent;
import com.flurry.android.FlurryEventRecordStatus;
import com.flurry.android.FlurryModule;
import com.flurry.sdk.ew;
import com.flurry.sdk.gn;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicBoolean;

public final class a extends f {
    public static AtomicBoolean b = new AtomicBoolean(false);
    private static a d = null;
    public List<FlurryModule> a = new ArrayList();

    public a() {
        super("FlurryAgentImpl", ew.a(ew.a.PUBLIC_API));
    }

    public static a a() {
        if (d == null) {
            d = new a();
        }
        return d;
    }

    public static int b() {
        bl.a();
        return 330;
    }

    public static String c() {
        return bl.a().b;
    }

    public final void a(Context context) {
        if (context instanceof Activity) {
            cx.a("FlurryAgentImpl", "Activity's session is controlled by Flurry SDK");
        } else if (!b.get()) {
            cx.d("FlurryAgentImpl", "Invalid call to onStartSession. Flurry is not initialized");
        } else {
            runAsync(new ea() {
                /* class com.flurry.sdk.a.AnonymousClass8 */

                @Override // com.flurry.sdk.ea
                public final void a() {
                    im.b();
                    n.a().k.a(bd.FOREGROUND, true);
                }
            });
        }
    }

    public final FlurryEventRecordStatus a(String str, gn.a aVar, Map<String, String> map) {
        if (!dy.a(16)) {
            return FlurryEventRecordStatus.kFlurryEventFailed;
        }
        return a(str, aVar, map, false, false);
    }

    public final FlurryEventRecordStatus a(String str, Map<String, String> map, boolean z, boolean z2) {
        return a(str, gn.a.CUSTOM, map, z, z2);
    }

    public static boolean i() {
        return b.get();
    }

    public static void a(boolean z) {
        if (!b.get()) {
            cx.d("FlurryAgentImpl", "Invalid call to setLogEnabled. Flurry is not initialized");
        } else if (z) {
            cx.b();
        } else {
            cx.a();
        }
    }

    public static void a(int i) {
        if (!b.get()) {
            cx.d("FlurryAgentImpl", "Invalid call to setLogLevel. Flurry is not initialized");
        } else {
            cx.a(i);
        }
    }

    public final void a(final String str, final String str2, final Map<String, String> map) {
        if (!b.get()) {
            cx.d("FlurryAgentImpl", "Invalid call to addOrigin. Flurry is not initialized");
        } else {
            runAsync(new ea() {
                /* class com.flurry.sdk.a.AnonymousClass6 */

                @Override // com.flurry.sdk.ea
                public final void a() {
                    az azVar = n.a().o;
                    String str = str;
                    String str2 = str2;
                    Map<String, String> map = map;
                    if (map == null) {
                        map = new HashMap<>();
                    }
                    map.put("fl.origin.attribute.version", str2);
                    azVar.a.put(str, map);
                    azVar.notifyObservers(new ay(str, str2, map));
                }
            });
        }
    }

    public static Consent d() {
        if (b.get()) {
            return n.a().l.a;
        }
        cx.d("FlurryAgentImpl", "Invalid call to getFlurryConsent. Flurry is not initialized");
        return null;
    }

    public static String e() {
        if (b.get()) {
            return n.a().m.a();
        }
        cx.d("FlurryAgentImpl", "Invalid call to getInstantAppName. Flurry is not initialized");
        return null;
    }

    public static boolean f() {
        if (b.get()) {
            return n.a().k.d.get();
        }
        cx.d("FlurryAgentImpl", "Invalid call to isSessionActive. Flurry is not initialized");
        return false;
    }

    public static String g() {
        if (b.get()) {
            return n.a().k.a();
        }
        cx.d("FlurryAgentImpl", "Invalid call to getSessionId. Flurry is not initialized");
        return null;
    }

    public final FlurryEventRecordStatus a(final String str, final gn.a aVar, Map<String, String> map, final boolean z, final boolean z2) {
        FlurryEventRecordStatus flurryEventRecordStatus;
        if (!b.get()) {
            cx.d("FlurryAgentImpl", "Invalid call to logEvent. Flurry is not initialized");
            return null;
        } else if (dy.a(str).length() == 0) {
            return FlurryEventRecordStatus.kFlurryEventFailed;
        } else {
            final long currentTimeMillis = System.currentTimeMillis();
            final long elapsedRealtime = SystemClock.elapsedRealtime();
            final HashMap hashMap = new HashMap();
            if (map != null) {
                hashMap.putAll(map);
            }
            if (hashMap.size() > 10) {
                flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventParamsCountExceeded;
            } else {
                flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventRecorded;
            }
            runAsync(new ea() {
                /* class com.flurry.sdk.a.AnonymousClass10 */

                @Override // com.flurry.sdk.ea
                public final void a() {
                    gm.a(str, aVar, hashMap, z, z2, currentTimeMillis, elapsedRealtime);
                }
            });
            return flurryEventRecordStatus;
        }
    }

    public final void a(final String str, final String str2, final String str3, Map<String, String> map, StackTraceElement[] stackTraceElementArr) {
        if (!b.get()) {
            cx.d("FlurryAgentImpl", "Invalid call to onError. Flurry is not initialized");
            return;
        }
        final Throwable th = new Throwable(str2);
        th.setStackTrace(stackTraceElementArr);
        final long currentTimeMillis = System.currentTimeMillis();
        final HashMap hashMap = new HashMap();
        if (map != null) {
            hashMap.putAll(map);
        }
        runAsync(new ea() {
            /* class com.flurry.sdk.a.AnonymousClass15 */

            @Override // com.flurry.sdk.ea
            public final void a() {
                n.a().f.a(str, currentTimeMillis, str2, str3, th, null, hashMap);
            }
        });
    }

    public static void a(Consent consent) {
        if (!b.get()) {
            cx.d("FlurryAgentImpl", "Invalid call to updateFlurryConsent. Flurry is not initialized");
        } else {
            n.a().l.a(consent);
        }
    }

    public static void h() {
        if (b.get()) {
            da.c();
            ei.b();
            hu.b();
            n.b();
            fa.b();
            b.set(false);
        }
    }
}
