package com.flurry.sdk;

import android.os.Build;
import android.text.TextUtils;
import com.flurry.sdk.ah;
import com.flurry.sdk.k;
import java.io.File;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.security.Key;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.security.spec.InvalidKeySpecException;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.PBEKeySpec;
import javax.crypto.spec.SecretKeySpec;

public final class ai {
    byte[] a = null;
    private aj b = null;
    private final k<byte[]> c = new k<>(new dn());
    private l<ah> d = null;

    ai() {
    }

    public final void a() {
        if (this.d == null) {
            this.d = new l<>(c(), "installationNum", 1, new du<ah>() {
                /* class com.flurry.sdk.ai.AnonymousClass1 */

                @Override // com.flurry.sdk.du
                public final dr<ah> a(int i) {
                    return new ah.a();
                }
            });
            byte[] a2 = a(b());
            if (a2 != null && Build.VERSION.SDK_INT >= 23) {
                dx.b(c());
                a(a2, k.a.CRYPTO_ALGO_PADDING_7);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public final boolean a(byte[] bArr, k.a aVar) {
        ah ahVar;
        try {
            dx.b(c());
            byte[] bArr2 = new byte[16];
            new SecureRandom().nextBytes(bArr2);
            byte[] a2 = this.c.a(bArr, b(), new IvParameterSpec(bArr2), aVar);
            if (a2 != null) {
                ahVar = new ah(a2, bArr2, true, aVar.ordinal());
            } else {
                ahVar = new ah(bArr, new byte[0], false, aVar.ordinal());
            }
            this.d.a(ahVar);
            return true;
        } catch (IOException e) {
            cx.a(5, "InstallationIdProvider", "Error while generating UUID" + e.getMessage(), e);
            return false;
        }
    }

    /* access modifiers changed from: package-private */
    public final byte[] a(Key key) {
        try {
            ah a2 = this.d.a();
            if (a2 == null) {
                return null;
            }
            if (!a2.a) {
                return a2.c;
            }
            byte[] bArr = a2.b;
            byte[] bArr2 = a2.c;
            k.a a3 = k.a.a(a2.d);
            if (bArr == null || bArr2 == null) {
                return null;
            }
            return this.c.a(bArr2, key, new IvParameterSpec(bArr), a3);
        } catch (IOException unused) {
            cx.a(5, "InstallationIdProvider", "Error while reading Android Install Id. Deleting file.");
            return null;
        }
    }

    private static File c() {
        return new File(dx.b().getPath() + File.separator + "installationNum");
    }

    private static SecretKey d() {
        bi a2 = bi.a();
        cx.a(3, "APIKeyProvider", "Getting legacy apikey: " + a2.b);
        String str = a2.b;
        if (str == null) {
            return null;
        }
        long j = Long.MIN_VALUE;
        String a3 = dw.a(b.a());
        if (!TextUtils.isEmpty(a3)) {
            j = dy.e(a3);
        }
        try {
            return new SecretKeySpec(SecretKeyFactory.getInstance("PBEWithSHA256And256BitAES-CBC-BC").generateSecret(new PBEKeySpec(str.toCharArray(), ByteBuffer.allocate(8).putLong(j).array(), 1000, 256)).getEncoded(), "AES");
        } catch (NoSuchAlgorithmException | InvalidKeySpecException e) {
            cx.a(4, "InstallationIdProvider", "Error in generate secret key", e);
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public final Key b() {
        if (Build.VERSION.SDK_INT < 23) {
            return d();
        }
        if (this.b == null) {
            this.b = new aj();
        }
        return this.b.a();
    }
}
