package com.flurry.sdk;

import android.util.SparseArray;
import com.flurry.sdk.bx;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public final class cj {
    Map<cf, SparseArray<ci>> a;
    Map<cf, Map<String, bx>> b;
    Map<cf, Map<String, bx>> c;
    long d;

    public cj() {
        a();
    }

    public final synchronized void a(List<ci> list) {
        if (list != null) {
            if (!list.isEmpty()) {
                a(list, this.a);
                c(list);
            }
        }
    }

    public final synchronized boolean b(List<ci> list) {
        if (list == null) {
            return false;
        }
        if (list.size() != e()) {
            return true;
        }
        for (ci ciVar : list) {
            cf cfVar = ciVar.a;
            if (cfVar != cf.a) {
                return true;
            }
            SparseArray<ci> sparseArray = this.a.get(cfVar);
            if (sparseArray == null) {
                return true;
            }
            ci ciVar2 = sparseArray.get(ciVar.b);
            if (ciVar2 == null) {
                return true;
            }
            if (ciVar.c != ciVar2.c) {
                return true;
            }
        }
        return false;
    }

    public final synchronized boolean a(List<ci> list, boolean z) {
        if (list == null) {
            return true;
        }
        if (list.isEmpty()) {
            f();
            return true;
        } else if (z) {
            f();
            a(list, this.a);
            b(list, this.c);
            return true;
        } else {
            HashMap hashMap = new HashMap();
            a(this.a, (Map<cf, SparseArray<ci>>) hashMap, true, true);
            HashMap hashMap2 = new HashMap();
            a(this.c, (Map<cf, Map<String, bx>>) hashMap2, (cf) null, true);
            a(list, hashMap, hashMap2);
            a(list, hashMap);
            b(list, hashMap2);
            cx.a("VariantsManager", "Verify ETag merged JSON: ".concat(String.valueOf(a((Map<cf, SparseArray<ci>>) hashMap, (Map<cf, Map<String, bx>>) hashMap2, true))));
            a((Map<cf, SparseArray<ci>>) hashMap, this.a, false, false);
            a((Map<cf, Map<String, bx>>) hashMap2, this.c, (cf) null, false);
            return true;
        }
    }

    private static void a(Map<cf, SparseArray<ci>> map, Map<cf, SparseArray<ci>> map2, boolean z, boolean z2) {
        SparseArray<ci> sparseArray;
        for (Map.Entry<cf, SparseArray<ci>> entry : map.entrySet()) {
            cf key = entry.getKey();
            if (z) {
                SparseArray<ci> value = entry.getValue();
                sparseArray = new SparseArray<>(value.size());
                for (int i = 0; i < value.size(); i++) {
                    ci valueAt = value.valueAt(i);
                    int i2 = valueAt.b;
                    if (z2) {
                        valueAt = new ci(valueAt);
                    }
                    sparseArray.put(i2, valueAt);
                }
            } else {
                sparseArray = entry.getValue();
            }
            map2.put(key, sparseArray);
        }
    }

    private synchronized void a(List<ci> list, Map<cf, SparseArray<ci>> map, Map<cf, Map<String, bx>> map2) {
        HashMap hashMap = new HashMap();
        a(map, (Map<cf, SparseArray<ci>>) hashMap, true, false);
        for (ci ciVar : list) {
            SparseArray sparseArray = (SparseArray) hashMap.get(ciVar.a);
            if (sparseArray != null) {
                sparseArray.remove(ciVar.b);
            }
        }
        for (Map.Entry entry : hashMap.entrySet()) {
            cf cfVar = (cf) entry.getKey();
            SparseArray sparseArray2 = (SparseArray) entry.getValue();
            SparseArray<ci> sparseArray3 = map.get(cfVar);
            Map<String, bx> map3 = map2.get(cfVar);
            for (int i = 0; i < sparseArray2.size(); i++) {
                ci ciVar2 = (ci) sparseArray2.valueAt(i);
                sparseArray3.remove(ciVar2.b);
                for (String str : ciVar2.e.keySet()) {
                    map3.remove(str);
                }
            }
        }
    }

    private synchronized void a(List<ci> list, Map<cf, SparseArray<ci>> map) {
        for (ci ciVar : list) {
            int i = ciVar.b;
            cf cfVar = ciVar.a;
            SparseArray<ci> sparseArray = map.get(cfVar);
            if (sparseArray == null) {
                sparseArray = new SparseArray<>();
                map.put(cfVar, sparseArray);
            } else {
                ci ciVar2 = sparseArray.get(i);
                if (ciVar2 != null) {
                    ciVar.a(ciVar2);
                }
            }
            sparseArray.put(i, ciVar);
        }
    }

    private static void a(Map<cf, Map<String, bx>> map, Map<cf, Map<String, bx>> map2, cf cfVar, boolean z) {
        for (Map.Entry<cf, Map<String, bx>> entry : map.entrySet()) {
            cf key = entry.getKey();
            if (cfVar == null || cfVar == key) {
                Map<String, bx> value = entry.getValue();
                if (z) {
                    value = new HashMap(value);
                }
                map2.put(key, value);
            }
        }
    }

    private synchronized void c(List<ci> list) {
        for (ci ciVar : list) {
            cf cfVar = ciVar.a;
            Map<String, bx> map = this.b.get(cfVar);
            if (map == null) {
                map = new HashMap<>();
                this.b.put(cfVar, map);
            }
            Map<String, bx> map2 = this.c.get(cfVar);
            if (map2 == null) {
                map2 = new HashMap<>();
                this.c.put(cfVar, map2);
            }
            for (Map.Entry<String, bx> entry : ciVar.a()) {
                String key = entry.getKey();
                bx value = entry.getValue();
                map.put(key, value);
                map2.put(key, value);
            }
        }
    }

    private synchronized void b(List<ci> list, Map<cf, Map<String, bx>> map) {
        for (ci ciVar : list) {
            cf cfVar = ciVar.a;
            Map<String, bx> map2 = map.get(cfVar);
            if (map2 == null) {
                map2 = new HashMap<>();
                map.put(cfVar, map2);
            }
            for (Map.Entry<String, bx> entry : ciVar.a()) {
                String key = entry.getKey();
                bx value = entry.getValue();
                if (value.a == bx.a.Tombstone) {
                    map2.remove(key);
                } else {
                    map2.put(key, value);
                }
            }
        }
    }

    public final synchronized void a(cf cfVar) {
        cx.a(3, "VariantsManager", "original Variants properties:" + this.b.keySet().toString() + " with: " + this.a.values().toString());
        a(this.c, this.b, cfVar, true);
        StringBuilder sb = new StringBuilder("new Variants properties:");
        sb.append(this.b.keySet().toString());
        cx.a(3, "VariantsManager", sb.toString());
    }

    public final bx a(String str, cf cfVar) {
        if (cfVar == null) {
            for (Map<String, bx> map : this.b.values()) {
                bx bxVar = map.get(str);
                if (bxVar != null) {
                    return bxVar;
                }
            }
            return null;
        }
        Map<String, bx> map2 = this.b.get(cfVar);
        if (map2 != null) {
            return map2.get(str);
        }
        return null;
    }

    public final synchronized void a() {
        f();
        this.b = new HashMap();
        for (cf cfVar : cf.b()) {
            this.b.put(cfVar, new HashMap());
        }
    }

    private synchronized void f() {
        this.a = new HashMap();
        this.c = new HashMap();
        for (cf cfVar : cf.b()) {
            this.a.put(cfVar, new SparseArray<>());
            this.c.put(cfVar, new HashMap());
        }
    }

    public final synchronized List<ci> b() {
        return a(this.a);
    }

    private synchronized List<ci> a(Map<cf, SparseArray<ci>> map) {
        ArrayList arrayList;
        arrayList = new ArrayList();
        for (SparseArray<ci> sparseArray : map.values()) {
            for (int i = 0; i < sparseArray.size(); i++) {
                arrayList.add(sparseArray.valueAt(i));
            }
        }
        return arrayList;
    }

    public final synchronized String c() {
        StringBuilder sb;
        sb = new StringBuilder();
        int i = 0;
        for (SparseArray<ci> sparseArray : this.a.values()) {
            i += sparseArray.size();
            for (int i2 = 0; i2 < sparseArray.size(); i2++) {
                ci valueAt = sparseArray.valueAt(i2);
                sb.append("," + valueAt.b);
                sb.append("," + valueAt.c);
            }
        }
        sb.insert(0, i);
        return sb.toString();
    }

    public final synchronized List<cf> d() {
        ArrayList arrayList;
        arrayList = new ArrayList();
        for (Map.Entry<cf, SparseArray<ci>> entry : this.a.entrySet()) {
            if (entry.getValue().size() > 0) {
                arrayList.add(entry.getKey());
            }
        }
        return arrayList;
    }

    public final synchronized int e() {
        int i;
        i = 0;
        for (SparseArray<ci> sparseArray : this.a.values()) {
            i += sparseArray.size();
        }
        return i;
    }

    /* access modifiers changed from: package-private */
    public final JSONObject a(Map<cf, SparseArray<ci>> map, Map<cf, Map<String, bx>> map2, boolean z) {
        JSONObject jSONObject = new JSONObject();
        try {
            JSONArray jSONArray = new JSONArray();
            List<ci> a2 = a(map);
            if (z) {
                Collections.sort(a2);
            }
            for (ci ciVar : a2) {
                Map<String, bx> map3 = map2.get(ciVar.a);
                JSONObject jSONObject2 = new JSONObject();
                jSONObject2.put("id", ciVar.b);
                jSONObject2.put("version", ciVar.c);
                jSONObject2.put("document", ciVar.a.toString());
                JSONArray jSONArray2 = new JSONArray();
                for (Map.Entry<String, bx> entry : z ? new TreeMap(ciVar.e).entrySet() : ciVar.a()) {
                    String key = entry.getKey();
                    bx bxVar = map3.get(key);
                    if (bxVar != null) {
                        jSONArray2.put(bxVar.a(key));
                    }
                }
                jSONObject2.put("items", jSONArray2);
                jSONArray.put(jSONObject2);
            }
            jSONObject.put("variants", jSONArray);
            jSONObject.put("refreshInSeconds", this.d);
            return jSONObject;
        } catch (JSONException e) {
            cx.b("VariantsManager", "Error to create JSON object.", e);
            return null;
        }
    }
}
