package com.flurry.sdk;

import android.app.Activity;
import android.app.ActivityManager;
import android.content.Context;
import android.database.Cursor;
import android.view.ViewTreeObserver;
import com.flurry.sdk.dj;
import com.flurry.sdk.gn;
import java.util.HashMap;
import java.util.Map;

public final class dh {
    private static dh d;
    private static final long e = System.nanoTime();
    public boolean a = false;
    public boolean b = false;
    public boolean c = false;
    private long f;
    private long g;
    private long h;
    private Map<String, String> i = new HashMap();
    private dj.a j;

    private dh() {
    }

    public static synchronized dh a() {
        dh dhVar;
        synchronized (dh.class) {
            if (d == null) {
                d = new dh();
            }
            dhVar = d;
        }
        return dhVar;
    }

    public final void a(Context context, Cursor cursor) {
        if (this.j == null) {
            boolean z = true;
            if (cursor != null) {
                cursor.moveToFirst();
                this.f = cursor.getLong(0);
                this.g = cursor.getLong(1);
                this.h = cursor.getLong(2);
                cursor.close();
            } else {
                Runtime runtime = Runtime.getRuntime();
                ActivityManager.MemoryInfo a2 = dk.a(context);
                this.f = e;
                this.g = runtime.totalMemory() - runtime.freeMemory();
                this.h = a2.totalMem - a2.availMem;
            }
            StringBuilder sb = new StringBuilder("Registered with Content Provider: ");
            if (cursor == null) {
                z = false;
            }
            sb.append(z);
            sb.append(", start time: ");
            sb.append(this.f);
            sb.append(", runtime memory: ");
            sb.append(this.g);
            sb.append(", system memory: ");
            sb.append(this.h);
            cx.a(3, "ColdStartMonitor", sb.toString());
            this.j = new dj.a() {
                /* class com.flurry.sdk.dh.AnonymousClass1 */

                @Override // com.flurry.sdk.dj.a
                public final void a() {
                }

                @Override // com.flurry.sdk.dj.a
                public final void c(Activity activity) {
                }

                @Override // com.flurry.sdk.dj.a
                public final void a(final Activity activity) {
                    activity.getWindow().getDecorView().getViewTreeObserver().addOnGlobalLayoutListener(new ViewTreeObserver.OnGlobalLayoutListener() {
                        /* class com.flurry.sdk.dh.AnonymousClass1.AnonymousClass1 */

                        public final void onGlobalLayout() {
                            activity.getWindow().getDecorView().getViewTreeObserver().removeOnGlobalLayoutListener(this);
                            dh dhVar = dh.this;
                            activity.getApplication();
                            dh.a(dhVar);
                            dh.this.a(activity, "onGlobalLayout", "fl.layout.time", "fl.layout.runtime.memory", "fl.layout.system.memory");
                            dh.this.b = true;
                            if (dh.this.a) {
                                dh.this.b();
                            }
                        }
                    });
                }

                @Override // com.flurry.sdk.dj.a
                public final void b(Activity activity) {
                    dh.this.a(activity, "onActivityResumed", "fl.resume.time", "fl.resume.runtime.memory", "fl.resume.system.memory");
                }
            };
            dj.a().a(this.j);
        }
    }

    public final synchronized void b() {
        if (!this.i.isEmpty()) {
            cx.a(4, "ColdStartMonitor", "Log Cold Start time event: " + this.i);
            a.a().a("Flurry.ColdStartTime", gn.a.PERFORMANCE, this.i);
            this.i.clear();
        }
    }

    public final void a(Context context, String str, String str2, String str3, String str4) {
        long nanoTime = (long) (((double) (System.nanoTime() - this.f)) / 1000000.0d);
        Runtime runtime = Runtime.getRuntime();
        long freeMemory = runtime.totalMemory() - runtime.freeMemory();
        long j2 = freeMemory - this.g;
        long j3 = 0;
        if (j2 < 0) {
            j2 = 0;
        }
        ActivityManager.MemoryInfo a2 = dk.a(context);
        long j4 = a2.totalMem - a2.availMem;
        long j5 = j4 - this.h;
        if (j5 >= 0) {
            j3 = j5;
        }
        cx.a(3, "ColdStartMonitor", str + " time: " + nanoTime + ", runtime memory usage: " + freeMemory + ", system memory usage: " + j4);
        this.i.put(str2, Long.toString(nanoTime));
        this.i.put(str3, Long.toString(j2));
        this.i.put(str4, Long.toString(j3));
    }

    static /* synthetic */ void a(dh dhVar) {
        if (dhVar.j != null) {
            dj a2 = dj.a();
            dj.a aVar = dhVar.j;
            synchronized (a2.a) {
                a2.a.remove(aVar);
            }
            dhVar.j = null;
        }
    }
}
