package com.flurry.sdk;

import com.flurry.sdk.be;
import com.flurry.sdk.ew;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.List;
import java.util.PriorityQueue;

public final class ex extends f implements jr {
    private PriorityQueue<String> a;
    private bn b;

    public ex() {
        super("FrameLogDataSender", ew.a(ew.a.CORE));
        this.a = null;
        this.a = new PriorityQueue<>(4, new fg());
        this.b = new br();
    }

    @Override // com.flurry.sdk.jr
    public final void a() {
        this.b.a();
    }

    @Override // com.flurry.sdk.jr
    public final void a(final List<String> list) {
        if (list.size() == 0) {
            cx.a(6, "FrameLogDataSender", "File List is null or empty");
            return;
        }
        cx.c("FrameLogDataSender", "Number of files being added:" + list.toString());
        runAsync(new ea() {
            /* class com.flurry.sdk.ex.AnonymousClass1 */

            @Override // com.flurry.sdk.ea
            public final void a() throws Exception {
                ex.this.a.addAll(list);
                ex.this.c();
            }
        });
    }

    private static byte[] a(File file) throws IOException {
        int length = (int) file.length();
        byte[] bArr = new byte[length];
        byte[] bArr2 = new byte[length];
        FileInputStream fileInputStream = new FileInputStream(file);
        try {
            int read = fileInputStream.read(bArr, 0, length);
            if (read < length) {
                int i = length - read;
                while (i > 0) {
                    int read2 = fileInputStream.read(bArr2, 0, i);
                    System.arraycopy(bArr2, 0, bArr, length - i, read2);
                    i -= read2;
                }
            }
        } catch (IOException e) {
            cx.a(6, "FrameLogDataSender", "Error reading file. ".concat(String.valueOf(e)));
        } catch (Throwable th) {
            fileInputStream.close();
            throw th;
        }
        fileInputStream.close();
        return bArr;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c() {
        cx.c("FrameLogDataSender", " Starting processNextFile " + this.a.size());
        if (this.a.peek() == null) {
            cx.c("FrameLogDataSender", "No file present to process.");
            return;
        }
        String poll = this.a.poll();
        if (fe.b(poll)) {
            cx.c("FrameLogDataSender", "Starting to upload file: ".concat(String.valueOf(poll)));
            byte[] bArr = new byte[0];
            try {
                bArr = a(new File(poll));
            } catch (IOException e) {
                cx.a(6, "FrameLogDataSender", "Error in getting bytes form the file: " + e.getMessage());
            }
            String b2 = bi.a().b();
            StringBuilder sb = new StringBuilder();
            bl.a();
            sb.append(330);
            this.b.a(bArr, b2, sb.toString());
            this.b.a(new bm() {
                /* class com.flurry.sdk.ex.AnonymousClass2 */

                @Override // com.flurry.sdk.bm
                public final void a() {
                    ex.a(true);
                }

                @Override // com.flurry.sdk.bm
                public final void b() {
                    ex.a(false);
                }
            });
            a(poll);
            cx.c("FrameLogDataSender", "File appended for upload: ".concat(String.valueOf(poll)));
            return;
        }
        cx.a(6, "FrameLogDataSender", "Something wrong with the file. File does not exist.");
    }

    private synchronized void a(String str) {
        cx.c("FrameLogDataSender", "File upload status: ".concat(String.valueOf(str)));
        boolean a2 = fe.a(str);
        cx.a(2, "FrameLogDataSender", "Deleting file " + str + " deleted " + a2);
        c();
    }

    @Override // com.flurry.sdk.jr
    public final be.c b() {
        bn bnVar = this.b;
        be.c cVar = new be.c();
        for (String str : bnVar.f.a()) {
            cVar.a(bnVar.f.f(str).size());
        }
        return cVar;
    }

    static /* synthetic */ void a(boolean z) {
        fa.a().a(new ja(new jb(z)));
    }
}
