package com.flurry.sdk;

import android.os.Build;
import android.os.Debug;
import android.os.Environment;
import android.os.Process;
import android.os.StatFs;
import android.text.TextUtils;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public final class x {
    public static Map<String, String> a() {
        HashMap hashMap = new HashMap();
        a(hashMap);
        b(hashMap);
        d(hashMap);
        g(hashMap);
        h(hashMap);
        c(hashMap);
        e(hashMap);
        f(hashMap);
        return hashMap;
    }

    private static void a(Map<String, String> map) {
        try {
            map.put("mem.java.max", Long.toString(Runtime.getRuntime().maxMemory()));
        } catch (RuntimeException e) {
            cx.a(6, "CrashParameterCollector", "Error retrieving max memory", e);
        }
    }

    private static void b(Map<String, String> map) {
        try {
            Debug.MemoryInfo memoryInfo = new Debug.MemoryInfo();
            Debug.getMemoryInfo(memoryInfo);
            map.put("mem.pss", Long.toString((long) (memoryInfo.getTotalPss() * 1024)));
        } catch (RuntimeException e) {
            cx.a(6, "CrashParameterCollector", "Error retrieving pss memory", e);
        }
    }

    private static void c(Map<String, String> map) {
        Throwable th;
        BufferedReader bufferedReader;
        IOException e;
        Pattern compile = Pattern.compile("^Vm(RSS|Size|Peak):\\s+(\\d+)\\s+kB$");
        FileInputStream fileInputStream = null;
        try {
            FileInputStream fileInputStream2 = new FileInputStream(new File(new File("/proc/" + Integer.toString(Process.myPid())), "status"));
            try {
                bufferedReader = new BufferedReader(new InputStreamReader(fileInputStream2));
            } catch (IOException e2) {
                e = e2;
                bufferedReader = null;
                fileInputStream = fileInputStream2;
                try {
                    cx.a(6, "CrashParameterCollector", "Error getting proc file Info", e);
                    dy.a(fileInputStream);
                    dy.a(bufferedReader);
                } catch (Throwable th2) {
                    th = th2;
                    dy.a(fileInputStream);
                    dy.a(bufferedReader);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                bufferedReader = null;
                fileInputStream = fileInputStream2;
                dy.a(fileInputStream);
                dy.a(bufferedReader);
                throw th;
            }
            try {
                for (String readLine = bufferedReader.readLine(); readLine != null; readLine = bufferedReader.readLine()) {
                    Matcher matcher = compile.matcher(readLine);
                    if (matcher.find()) {
                        String group = matcher.group(1);
                        String group2 = matcher.group(2);
                        if (!TextUtils.isEmpty(group)) {
                            if (!TextUtils.isEmpty(group2)) {
                                char c = 65535;
                                int hashCode = group.hashCode();
                                if (hashCode != 81458) {
                                    if (hashCode != 2483455) {
                                        if (hashCode == 2577441) {
                                            if (group.equals("Size")) {
                                                c = 1;
                                            }
                                        }
                                    } else if (group.equals("Peak")) {
                                        c = 2;
                                    }
                                } else if (group.equals("RSS")) {
                                    c = 0;
                                }
                                if (c == 0) {
                                    map.put("mem.rss", group2);
                                } else if (c == 1) {
                                    map.put("mem.virt", group2);
                                } else if (c == 2) {
                                    map.put("mem.virt.max", group2);
                                }
                            }
                        }
                    }
                }
                dy.a(fileInputStream2);
            } catch (IOException e3) {
                e = e3;
                fileInputStream = fileInputStream2;
                cx.a(6, "CrashParameterCollector", "Error getting proc file Info", e);
                dy.a(fileInputStream);
                dy.a(bufferedReader);
            } catch (Throwable th4) {
                th = th4;
                fileInputStream = fileInputStream2;
                dy.a(fileInputStream);
                dy.a(bufferedReader);
                throw th;
            }
        } catch (IOException e4) {
            e = e4;
            bufferedReader = null;
            cx.a(6, "CrashParameterCollector", "Error getting proc file Info", e);
            dy.a(fileInputStream);
            dy.a(bufferedReader);
        } catch (Throwable th5) {
            th = th5;
            bufferedReader = null;
            dy.a(fileInputStream);
            dy.a(bufferedReader);
            throw th;
        }
        dy.a(bufferedReader);
    }

    private static void d(Map<String, String> map) {
        map.put("application.state", Integer.toString(n.a().i.b().d));
    }

    private static void e(Map<String, String> map) {
        long j;
        long j2;
        StatFs statFs = new StatFs(Environment.getDataDirectory().getPath());
        if (Build.VERSION.SDK_INT >= 18) {
            j = statFs.getBlockSizeLong();
        } else {
            j = (long) statFs.getBlockSize();
        }
        if (Build.VERSION.SDK_INT >= 18) {
            j2 = statFs.getAvailableBlocksLong();
        } else {
            j2 = (long) statFs.getAvailableBlocks();
        }
        map.put("disk.size.free", Long.toString(j2 * j));
    }

    private static void f(Map<String, String> map) {
        long j;
        long j2;
        StatFs statFs = new StatFs(Environment.getDataDirectory().getPath());
        if (Build.VERSION.SDK_INT >= 18) {
            j = statFs.getBlockSizeLong();
        } else {
            j = (long) statFs.getBlockSize();
        }
        if (Build.VERSION.SDK_INT >= 18) {
            j2 = statFs.getBlockCountLong();
        } else {
            j2 = (long) statFs.getBlockCount();
        }
        map.put("disk.size.total", Long.toString(j2 * j));
    }

    private static void g(Map<String, String> map) {
        map.put("net.status", Integer.toString(n.a().b.getNetworkType().ordinal()));
    }

    private static void h(Map<String, String> map) {
        map.put("orientation", Integer.toString(n.a().c.a));
    }
}
