package com.squirrelvpn;

import com.facebook.react.PackageList;
import com.facebook.react.ReactNativeHost;
import com.facebook.react.ReactPackage;
import com.squirrelvpn.packages.DeviceEnvironmentPackage;
import com.squirrelvpn.packages.OlmCryptoPackage;
import com.squirrelvpn.packages.TrojanGoPackage;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000!\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010 \n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0014J\u000e\u0010\u0004\u001a\b\u0012\u0004\u0012\u00020\u00060\u0005H\u0014J\b\u0010\u0007\u001a\u00020\bH\u0016¨\u0006\t"}, d2 = {"com/squirrelvpn/MainApplication$mReactNativeHost$1", "Lcom/facebook/react/ReactNativeHost;", "getJSMainModuleName", "", "getPackages", "", "Lcom/facebook/react/ReactPackage;", "getUseDeveloperSupport", "", "app_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: MainApplication.kt */
public final class MainApplication$mReactNativeHost$1 extends ReactNativeHost {
    /* access modifiers changed from: protected */
    @Override // com.facebook.react.ReactNativeHost
    public String getJSMainModuleName() {
        return "index";
    }

    @Override // com.facebook.react.ReactNativeHost
    public boolean getUseDeveloperSupport() {
        return false;
    }

    MainApplication$mReactNativeHost$1(MainApplication mainApplication) {
        super(mainApplication);
    }

    /* access modifiers changed from: protected */
    @Override // com.facebook.react.ReactNativeHost
    public List<ReactPackage> getPackages() {
        ArrayList<ReactPackage> packages = new PackageList(this).getPackages();
        Intrinsics.checkNotNullExpressionValue(packages, "PackageList(this).packages");
        ArrayList<ReactPackage> arrayList = packages;
        List asList = Arrays.asList(new DeviceEnvironmentPackage(), new OlmCryptoPackage(), new TrojanGoPackage());
        Intrinsics.checkNotNullExpressionValue(asList, "asList(\n                …ckage()\n                )");
        arrayList.addAll(asList);
        return arrayList;
    }
}
