package com.flurry.android;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.SystemClock;
import android.text.TextUtils;
import com.flurry.android.FlurryAgentListener;
import com.flurry.android.FlurryEvent;
import com.flurry.android.FlurryPerformance;
import com.flurry.android.FlurryPrivacySession;
import com.flurry.sdk.a;
import com.flurry.sdk.b;
import com.flurry.sdk.bi;
import com.flurry.sdk.cx;
import com.flurry.sdk.da;
import com.flurry.sdk.dy;
import com.flurry.sdk.ea;
import com.flurry.sdk.fa;
import com.flurry.sdk.gn;
import com.flurry.sdk.hu;
import com.flurry.sdk.n;
import com.flurry.sdk.s;
import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Locale;
import java.util.Map;

public final class FlurryAgent {
    public static String VERSION_STRING = "!SDK-VERSION-STRING!:com.flurry.android:analytics:13.1.0";
    private static String a;

    private FlurryAgent() {
    }

    public static int getAgentVersion() {
        a.a();
        return a.b();
    }

    public static String getReleaseVersion() {
        a.a();
        return a.c();
    }

    public static List<FlurryModule> getAddOnModules() {
        return a.a().a;
    }

    public static void setVersionName(String str) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setVersionName. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(str) {
                    /* class com.flurry.sdk.a.AnonymousClass4 */
                    final /* synthetic */ String a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() {
                        bl.a().a = this.a;
                        ia.b();
                    }
                });
            }
        }
    }

    public static void setReportLocation(boolean z) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setReportLocation. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(z) {
                    /* class com.flurry.sdk.a.AnonymousClass5 */
                    final /* synthetic */ boolean a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() {
                        at atVar = n.a().a;
                        atVar.a = this.a;
                        atVar.refresh();
                    }
                });
            }
        }
    }

    public static void addOrigin(String str, String str2) {
        a.a().a(str, str2, (Map<String, String>) null);
    }

    public static void addOrigin(String str, String str2, Map<String, String> map) {
        if (b()) {
            a.a().a(str, str2, map);
        }
    }

    public static void setInstantAppName(String str) {
        a a2 = a.a();
        if (!a.b.get()) {
            cx.d("FlurryAgentImpl", "Invalid call to addOrigin. Flurry is not initialized");
        } else {
            a2.runAsync(new ea(str) {
                /* class com.flurry.sdk.a.AnonymousClass7 */
                final /* synthetic */ String a;

                {
                    this.a = r2;
                }

                @Override // com.flurry.sdk.ea
                public final void a() throws Exception {
                    an anVar = n.a().m;
                    anVar.a = this.a;
                    anVar.b();
                }
            });
        }
    }

    public static String getInstantAppName() {
        a.a();
        return a.e();
    }

    public static synchronized Consent getFlurryConsent() {
        Consent d;
        synchronized (FlurryAgent.class) {
            a.a();
            d = a.d();
        }
        return d;
    }

    public static synchronized boolean updateFlurryConsent(Consent consent) {
        synchronized (FlurryAgent.class) {
            if (!b()) {
                return false;
            }
            a.a();
            a.a(consent);
            return true;
        }
    }

    public static void onStartSession(Context context) {
        if (b()) {
            a.a().a(context);
        }
    }

    public static void onEndSession(Context context) {
        if (b()) {
            a a2 = a.a();
            if (context instanceof Activity) {
                cx.a("FlurryAgentImpl", "Activity's session is controlled by Flurry SDK");
            } else if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to onStartSession. Flurry is not initialized");
            } else {
                a2.runAsync(new ea() {
                    /* class com.flurry.sdk.a.AnonymousClass9 */

                    @Override // com.flurry.sdk.ea
                    public final void a() {
                        n.a().k.b(bd.FOREGROUND, false);
                    }
                });
            }
        }
    }

    public static boolean isSessionActive() {
        if (!b()) {
            return false;
        }
        a.a();
        return a.f();
    }

    public static String getSessionId() {
        if (!b()) {
            return null;
        }
        a.a();
        return a.g();
    }

    public static FlurryEventRecordStatus logEvent(String str) {
        FlurryEventRecordStatus flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventFailed;
        if (!b()) {
            return flurryEventRecordStatus;
        }
        return a.a().a(str, Collections.emptyMap(), false, false);
    }

    public static FlurryEventRecordStatus logEvent(String str, Map<String, String> map) {
        FlurryEventRecordStatus flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventFailed;
        if (!b()) {
            return flurryEventRecordStatus;
        }
        if (str == null) {
            cx.b("FlurryAgent", "String eventId passed to logEvent was null.");
            return flurryEventRecordStatus;
        }
        if (map == null) {
            cx.c("FlurryAgent", "String parameters passed to logEvent was null.");
        }
        return a.a().a(str, map, false, false);
    }

    public static FlurryEventRecordStatus logEvent(String str, boolean z) {
        FlurryEventRecordStatus flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventFailed;
        if (!b()) {
            return flurryEventRecordStatus;
        }
        return a.a().a(str, Collections.emptyMap(), z, true);
    }

    public static FlurryEventRecordStatus logEvent(String str, Map<String, String> map, boolean z) {
        FlurryEventRecordStatus flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventFailed;
        if (!b()) {
            return flurryEventRecordStatus;
        }
        if (str == null) {
            cx.b("FlurryAgent", "String eventId passed to logEvent was null.");
            return flurryEventRecordStatus;
        }
        if (map == null) {
            cx.c("FlurryAgent", "String parameters passed to logEvent was null.");
        }
        return a.a().a(str, map, z, true);
    }

    public static FlurryEventRecordStatus logEvent(FlurryEvent flurryEvent, FlurryEvent.Params params) {
        FlurryEventRecordStatus flurryEventRecordStatus;
        FlurryEventRecordStatus flurryEventRecordStatus2 = FlurryEventRecordStatus.kFlurryEventFailed;
        if (!b()) {
            return flurryEventRecordStatus2;
        }
        if (flurryEvent == null) {
            cx.b("FlurryAgent", "Event passed to logEvent was null.");
            return flurryEventRecordStatus2;
        }
        if (params == null) {
            cx.c("FlurryAgent", "Event parameters passed to logEvent was null.");
        }
        a a2 = a.a();
        if (!a.b.get()) {
            cx.d("FlurryAgentImpl", "Invalid call to logEvent. Flurry is not initialized");
            return null;
        }
        long currentTimeMillis = System.currentTimeMillis();
        long elapsedRealtime = SystemClock.elapsedRealtime();
        HashMap hashMap = new HashMap();
        HashSet hashSet = new HashSet(Arrays.asList(flurryEvent.mandatoryParams));
        HashSet hashSet2 = new HashSet(Arrays.asList(flurryEvent.recommendedParams));
        if (params != null) {
            for (Map.Entry<Object, String> entry : params.getParams().entrySet()) {
                Object key = entry.getKey();
                if (key instanceof FlurryEvent.ParamBase) {
                    FlurryEvent.ParamBase paramBase = (FlurryEvent.ParamBase) key;
                    if (hashSet.contains(paramBase)) {
                        hashSet.remove(paramBase);
                    } else if (hashSet2.contains(paramBase)) {
                        hashSet2.remove(paramBase);
                    } else {
                        cx.e("FlurryAgentImpl", "Log " + flurryEvent.toString() + " event - not a mandatory nor recommended parameter: " + paramBase);
                    }
                    hashMap.put(paramBase.paramName, entry.getValue());
                } else if (key instanceof String) {
                    hashMap.put((String) key, entry.getValue());
                }
            }
        }
        if (hashMap.size() > 10) {
            flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventParamsCountExceeded;
        } else {
            flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventRecorded;
        }
        if (!hashSet.isEmpty()) {
            cx.b("FlurryAgentImpl", "Log " + flurryEvent.toString() + " event - Missing mandatory parameters: " + hashSet);
            flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventParamsMismatched;
        }
        if (!hashSet2.isEmpty()) {
            cx.e("FlurryAgentImpl", "Log " + flurryEvent.toString() + " event - Missing recommended parameters: " + hashSet2);
        }
        a2.runAsync(new ea(flurryEvent, hashMap, currentTimeMillis, elapsedRealtime) {
            /* class com.flurry.sdk.a.AnonymousClass11 */
            final /* synthetic */ FlurryEvent a;
            final /* synthetic */ Map b;
            final /* synthetic */ long c;
            final /* synthetic */ long d;

            {
                this.a = r2;
                this.b = r3;
                this.c = r4;
                this.d = r6;
            }

            @Override // com.flurry.sdk.ea
            public final void a() {
                gm.a(this.a.eventName, gn.a.USER_STANDARD, this.b, false, false, this.c, this.d);
            }
        });
        return flurryEventRecordStatus;
    }

    public static void logPayment(int i, Intent intent, Map<String, String> map) {
        if (b()) {
            a a2 = a.a();
            long currentTimeMillis = System.currentTimeMillis();
            long elapsedRealtime = SystemClock.elapsedRealtime();
            HashMap hashMap = new HashMap();
            if (map != null) {
                hashMap.putAll(map);
            }
            a2.runAsync(new ea(i, intent, hashMap, currentTimeMillis, elapsedRealtime) {
                /* class com.flurry.sdk.a.AnonymousClass13 */
                final /* synthetic */ int a;
                final /* synthetic */ Intent b;
                final /* synthetic */ Map c;
                final /* synthetic */ long d;
                final /* synthetic */ long e;

                {
                    this.a = r2;
                    this.b = r3;
                    this.c = r4;
                    this.d = r5;
                    this.e = r7;
                }

                @Override // com.flurry.sdk.ea
                public final void a() {
                    gm.a(this.a, this.b, this.c, this.d, this.e);
                }
            });
        }
    }

    public static FlurryEventRecordStatus logPayment(String str, String str2, int i, double d, String str3, String str4, Map<String, String> map) {
        FlurryEventRecordStatus flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventFailed;
        if (!b()) {
            return flurryEventRecordStatus;
        }
        a a2 = a.a();
        long currentTimeMillis = System.currentTimeMillis();
        long elapsedRealtime = SystemClock.elapsedRealtime();
        HashMap hashMap = new HashMap();
        if (map != null) {
            hashMap.putAll(map);
        }
        a2.runAsync(new ea(str, str2, i, d, str3, str4, hashMap, currentTimeMillis, elapsedRealtime) {
            /* class com.flurry.sdk.a.AnonymousClass14 */
            final /* synthetic */ String a;
            final /* synthetic */ String b;
            final /* synthetic */ int c;
            final /* synthetic */ double d;
            final /* synthetic */ String e;
            final /* synthetic */ String f;
            final /* synthetic */ Map g;
            final /* synthetic */ long h;
            final /* synthetic */ long i;

            {
                this.a = r2;
                this.b = r3;
                this.c = r4;
                this.d = r5;
                this.e = r7;
                this.f = r8;
                this.g = r9;
                this.h = r10;
                this.i = r12;
            }

            @Override // com.flurry.sdk.ea
            public final void a() {
                gm.a(this.a, this.b, this.c, this.d, this.e, this.f, this.g, this.h, this.i);
            }
        });
        return FlurryEventRecordStatus.kFlurryEventRecorded;
    }

    public static void endTimedEvent(String str) {
        if (b()) {
            a.a().a(str, Collections.emptyMap(), true, false);
        }
    }

    public static void endTimedEvent(String str, Map<String, String> map) {
        if (b()) {
            a.a().a(str, map, true, false);
        }
    }

    public static void onError(String str, String str2, String str3) {
        StackTraceElement[] stackTraceElementArr;
        if (b()) {
            StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
            if (stackTrace == null || stackTrace.length <= 4) {
                stackTraceElementArr = stackTrace;
            } else {
                int length = stackTrace.length - 4;
                StackTraceElement[] stackTraceElementArr2 = new StackTraceElement[length];
                System.arraycopy(stackTrace, 4, stackTraceElementArr2, 0, length);
                stackTraceElementArr = stackTraceElementArr2;
            }
            a.a().a(str, str2, str3, (Map<String, String>) null, stackTraceElementArr);
        }
    }

    public static void onError(String str, String str2, String str3, Map<String, String> map) {
        StackTraceElement[] stackTraceElementArr;
        if (b()) {
            if (TextUtils.isEmpty(str)) {
                cx.b("FlurryAgent", "String errorId passed to onError was empty.");
            } else if (TextUtils.isEmpty(str2)) {
                cx.b("FlurryAgent", "String message passed to onError was empty.");
            } else if (TextUtils.isEmpty(str3)) {
                cx.b("FlurryAgent", "String errorClass passed to onError was empty.");
            } else {
                StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
                if (stackTrace == null || stackTrace.length <= 4) {
                    stackTraceElementArr = stackTrace;
                } else {
                    int length = stackTrace.length - 4;
                    StackTraceElement[] stackTraceElementArr2 = new StackTraceElement[length];
                    System.arraycopy(stackTrace, 4, stackTraceElementArr2, 0, length);
                    stackTraceElementArr = stackTraceElementArr2;
                }
                a.a().a(str, str2, str3, map, stackTraceElementArr);
            }
        }
    }

    public static void onError(String str, String str2, Throwable th) {
        onError(str, str2, th, (Map<String, String>) null);
    }

    public static void onError(String str, String str2, Throwable th, Map<String, String> map) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to onError. Flurry is not initialized");
                return;
            }
            long currentTimeMillis = System.currentTimeMillis();
            HashMap hashMap = new HashMap();
            if (map != null) {
                hashMap.putAll(map);
            }
            a2.runAsync(new ea(str, currentTimeMillis, str2, th, hashMap) {
                /* class com.flurry.sdk.a.AnonymousClass16 */
                final /* synthetic */ String a;
                final /* synthetic */ long b;
                final /* synthetic */ String c;
                final /* synthetic */ Throwable d;
                final /* synthetic */ Map e;

                {
                    this.a = r2;
                    this.b = r3;
                    this.c = r5;
                    this.d = r6;
                    this.e = r7;
                }

                @Override // com.flurry.sdk.ea
                public final void a() {
                    n.a().f.a(this.a, this.b, this.c, this.d.getClass().getName(), this.d, x.a(), this.e);
                }
            });
        }
    }

    public static void logBreadcrumb(String str) {
        if (b()) {
            if (TextUtils.isEmpty(str)) {
                cx.b("FlurryAgent", "Crash breadcrumb cannot be empty.");
                return;
            }
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to logBreadcrumb. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(str) {
                    /* class com.flurry.sdk.a.AnonymousClass17 */
                    final /* synthetic */ String a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() {
                        ab abVar = n.a().f;
                        v vVar = new v(this.a, System.currentTimeMillis());
                        if (abVar.a != null) {
                            abVar.a.a(vVar);
                        }
                    }
                });
            }
        }
    }

    public static void setAge(int i) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setAge. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(i) {
                    /* class com.flurry.sdk.a.AnonymousClass18 */
                    final /* synthetic */ int a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() {
                        int i = this.a;
                        if (i > 0 && i < 110) {
                            long time = new Date(new Date(System.currentTimeMillis() - (((long) this.a) * 31449600000L)).getYear(), 1, 1).getTime();
                            if (time <= 0) {
                                cx.d("BirthdateFrame", "Birth date is invalid, do not send the frame.");
                                return;
                            }
                            fa.a().a(new ge(new gf(Long.valueOf(time))));
                        }
                    }
                });
            }
        }
    }

    public static void setGender(byte b) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setGender. Flurry is not initialized");
                return;
            }
            boolean z = true;
            if (!(b == 0 || b == 1 || b == -1)) {
                z = false;
            }
            if (z) {
                a2.runAsync(new ea(b) {
                    /* class com.flurry.sdk.a.AnonymousClass19 */
                    final /* synthetic */ byte a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() {
                        fa.a().a(new gq(new gr(this.a)));
                    }
                });
            }
        }
    }

    public static void setUserId(String str) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setUserId. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(str) {
                    /* class com.flurry.sdk.a.AnonymousClass20 */
                    final /* synthetic */ String a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() {
                        n.a().h.b = this.a;
                        fa.a().a(new hi(new hj(this.a)));
                    }
                });
            }
        }
    }

    public static void setSessionOrigin(String str, String str2) {
        if (b()) {
            if (TextUtils.isEmpty(str)) {
                cx.b("FlurryAgent", "String originName passed to setSessionOrigin was empty.");
                return;
            }
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setSessionOrigin. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(str, str2) {
                    /* class com.flurry.sdk.a.AnonymousClass21 */
                    final /* synthetic */ String a;
                    final /* synthetic */ String b;

                    {
                        this.a = r2;
                        this.b = r3;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() {
                        fa.a().a(new ha(new hb(this.a, this.b)));
                    }
                });
            }
        }
    }

    public static void addSessionProperty(String str, String str2) {
        if (b()) {
            if (TextUtils.isEmpty(str)) {
                cx.b("FlurryAgent", "Session property name was empty");
                return;
            }
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to addSessionProperty. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(str, str2) {
                    /* class com.flurry.sdk.a.AnonymousClass22 */
                    final /* synthetic */ String a;
                    final /* synthetic */ String b;

                    {
                        this.a = r2;
                        this.b = r3;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() {
                        fa.a().a(new hc(new hd(this.a, this.b)));
                    }
                });
            }
        }
    }

    public static void openPrivacyDashboard(FlurryPrivacySession.Request request) {
        if (b()) {
            a a2 = a.a();
            a2.runAsync(new ea(request) {
                /* class com.flurry.sdk.a.AnonymousClass24 */
                final /* synthetic */ FlurryPrivacySession.Request a;

                {
                    this.a = r2;
                }

                @Override // com.flurry.sdk.ea
                public final void a() throws Exception {
                    ef.a(this.a);
                }
            });
        }
    }

    public static void setDataSaleOptOut(boolean z) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setDataSaleOptOut. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(z) {
                    /* class com.flurry.sdk.a.AnonymousClass32 */
                    final /* synthetic */ boolean a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() throws Exception {
                        n.a().p.a(this.a);
                    }
                });
            }
        }
    }

    public static void deleteData() {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to deleteData. Flurry is not initialized");
            } else {
                a2.runAsync(new ea() {
                    /* class com.flurry.sdk.a.AnonymousClass33 */

                    @Override // com.flurry.sdk.ea
                    public final void a() throws Exception {
                        n.a().p.notifyObservers(new s(s.a.c));
                    }
                });
            }
        }
    }

    /* access modifiers changed from: private */
    public static boolean b() {
        if (dy.a(16)) {
            return true;
        }
        cx.b("FlurryAgent", String.format(Locale.getDefault(), "Device SDK Version older than %d", 16));
        return false;
    }

    public static void setCaptureUncaughtExceptions(boolean z) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setCaptureUncaughtExceptions. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(z) {
                    /* class com.flurry.sdk.a.AnonymousClass37 */
                    final /* synthetic */ boolean a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() throws Exception {
                        n.a().f.b = this.a;
                    }
                });
            }
        }
    }

    public static void setContinueSessionMillis(long j) {
        if (b()) {
            if (j < 5000) {
                j = 5000;
            }
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setContinueSessionMillis. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(j) {
                    /* class com.flurry.sdk.a.AnonymousClass38 */
                    final /* synthetic */ long a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() throws Exception {
                        n.a().k.e = this.a;
                    }
                });
            }
        }
    }

    public static void setIncludeBackgroundSessionsInMetrics(boolean z) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setIncludeBackgroundSessionsInMetrics. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(z) {
                    /* class com.flurry.sdk.a.AnonymousClass39 */
                    final /* synthetic */ boolean a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() throws Exception {
                        ac acVar = n.a().h;
                        acVar.d = this.a;
                        acVar.a();
                    }
                });
            }
        }
    }

    public static void registerListener(FlurryAgentListener flurryAgentListener) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to registerListener. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(flurryAgentListener) {
                    /* class com.flurry.sdk.a.AnonymousClass40 */
                    final /* synthetic */ FlurryAgentListener a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() throws Exception {
                        n.a().k.a(this.a);
                    }
                });
            }
        }
    }

    public static void unregisterListener(FlurryAgentListener flurryAgentListener) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to unregisterListener. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(flurryAgentListener) {
                    /* class com.flurry.sdk.a.AnonymousClass2 */
                    final /* synthetic */ FlurryAgentListener a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() throws Exception {
                        n.a().k.b(this.a);
                    }
                });
            }
        }
    }

    public static void setLogEnabled(boolean z) {
        if (b()) {
            a.a();
            a.a(z);
        }
    }

    public static void setLogLevel(int i) {
        if (b()) {
            a.a();
            a.a(i);
        }
    }

    public static void setSslPinningEnabled(boolean z) {
        if (b()) {
            a a2 = a.a();
            if (!a.b.get()) {
                cx.d("FlurryAgentImpl", "Invalid call to setSslPinningEnabled. Flurry is not initialized");
            } else {
                a2.runAsync(new ea(z) {
                    /* class com.flurry.sdk.a.AnonymousClass3 */
                    final /* synthetic */ boolean a;

                    {
                        this.a = r2;
                    }

                    @Override // com.flurry.sdk.ea
                    public final void a() throws Exception {
                        n.a().h.e = this.a;
                    }
                });
            }
        }
    }

    public static class Builder {
        private FlurryAgentListener a = null;
        private boolean b = false;
        private int c = 5;
        private long d = 10000;
        private boolean e = true;
        private boolean f = true;
        private boolean g = false;
        private int h = FlurryPerformance.NONE;
        private List<FlurryModule> i = new ArrayList();
        private Consent j;
        private boolean k = false;
        private boolean l = false;

        @Deprecated
        public Builder withPulseEnabled(boolean z) {
            return this;
        }

        public Builder withListener(FlurryAgentListener flurryAgentListener) {
            this.a = flurryAgentListener;
            return this;
        }

        public Builder withLogEnabled(boolean z) {
            this.b = z;
            return this;
        }

        public Builder withLogLevel(int i2) {
            this.c = i2;
            return this;
        }

        public Builder withContinueSessionMillis(long j2) {
            if (j2 >= 5000) {
                this.d = j2;
            }
            return this;
        }

        public Builder withCaptureUncaughtExceptions(boolean z) {
            this.e = z;
            return this;
        }

        public Builder withIncludeBackgroundSessionsInMetrics(boolean z) {
            this.f = z;
            return this;
        }

        public Builder withSslPinningEnabled(boolean z) {
            this.g = z;
            return this;
        }

        public Builder withPerformanceMetrics(int i2) {
            this.h = i2;
            return this;
        }

        public Builder withModule(FlurryModule flurryModule) throws IllegalArgumentException {
            if (da.a(flurryModule.getClass().getCanonicalName())) {
                this.i.add(flurryModule);
                return this;
            }
            throw new IllegalArgumentException("The Flurry module you have registered is invalid: " + flurryModule.getClass().getCanonicalName());
        }

        public Builder withConsent(Consent consent) {
            this.j = consent;
            return this;
        }

        public Builder withDataSaleOptOut(boolean z) {
            this.k = z;
            return this;
        }

        public Builder withSessionForceStart(boolean z) {
            this.l = z;
            return this;
        }

        public void build(Context context, String str) {
            boolean z;
            if (FlurryAgent.b()) {
                if (!TextUtils.isEmpty(str)) {
                    b.a(context);
                    bi.a().b = str;
                    a a2 = a.a();
                    FlurryAgentListener flurryAgentListener = this.a;
                    boolean z2 = this.b;
                    int i2 = this.c;
                    long j2 = this.d;
                    boolean z3 = this.e;
                    boolean z4 = this.f;
                    boolean z5 = this.g;
                    int i3 = this.h;
                    List<FlurryModule> list = this.i;
                    Consent consent = this.j;
                    boolean z6 = this.k;
                    boolean z7 = this.l;
                    if (a.b.get()) {
                        cx.d("FlurryAgentImpl", "Invalid call to Init. Flurry is already initialized");
                        return;
                    }
                    cx.d("FlurryAgentImpl", "Initializing Flurry SDK");
                    if (a.b.get()) {
                        cx.d("FlurryAgentImpl", "Invalid call to register. Flurry is already initialized");
                    } else {
                        a2.a = list;
                    }
                    fa.a();
                    a2.runAsync(new ea(context, list) {
                        /* class com.flurry.sdk.a.AnonymousClass1 */
                        final /* synthetic */ Context a;
                        final /* synthetic */ List b;

                        {
                            this.a = r2;
                            this.b = r3;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() throws Exception {
                            fa a2 = fa.a();
                            a2.d.a();
                            a2.b.a.a();
                            jv jvVar = a2.c;
                            File[] listFiles = new File(fe.b()).listFiles();
                            if (listFiles != null) {
                                for (int i = 0; i < listFiles.length; i++) {
                                    if (listFiles[i].isFile()) {
                                        cx.a(3, "StreamingFileUtil", "File " + listFiles[i].getName());
                                    } else if (listFiles[i].isDirectory()) {
                                        cx.a(3, "StreamingFileUtil", "Directory " + listFiles[i].getName());
                                    }
                                }
                            }
                            System.out.println();
                            cx.a(2, "VNodeFileProcessor", "Number of files already pending: in startWatching " + listFiles.length);
                            jvVar.a(Arrays.asList(listFiles));
                            jvVar.runAsync(
                            /*  JADX ERROR: Method code generation error
                                jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0090: INVOKE  
                                  (r0v1 'jvVar' com.flurry.sdk.jv)
                                  (wrap: com.flurry.sdk.jv$1 : 0x008d: CONSTRUCTOR  (r1v6 com.flurry.sdk.jv$1) = (r0v1 'jvVar' com.flurry.sdk.jv), (r0v1 'jvVar' com.flurry.sdk.jv) call: com.flurry.sdk.jv.1.<init>(com.flurry.sdk.jv, com.flurry.sdk.ju):void type: CONSTRUCTOR)
                                 type: VIRTUAL call: com.flurry.sdk.jv.runAsync(java.lang.Runnable):java.util.concurrent.Future in method: com.flurry.sdk.a.1.a():void, file: classes.dex
                                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                                	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                                	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                                	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                                	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                                	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                                	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                                	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                                	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                                	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                                	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                                	at java.util.ArrayList.forEach(ArrayList.java:1259)
                                	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                                	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                                Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x008d: CONSTRUCTOR  (r1v6 com.flurry.sdk.jv$1) = (r0v1 'jvVar' com.flurry.sdk.jv), (r0v1 'jvVar' com.flurry.sdk.jv) call: com.flurry.sdk.jv.1.<init>(com.flurry.sdk.jv, com.flurry.sdk.ju):void type: CONSTRUCTOR in method: com.flurry.sdk.a.1.a():void, file: classes.dex
                                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                                	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                                	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                                	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                                	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                                	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                                	... 14 more
                                Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.flurry.sdk.jv, state: NOT_LOADED
                                	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                                	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                                	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                                	... 20 more
                                */
                            /*
                            // Method dump skipped, instructions count: 166
                            */
                            throw new UnsupportedOperationException("Method not decompiled: com.flurry.sdk.a.AnonymousClass1.a():void");
                        }
                    });
                    hu a3 = hu.a();
                    n a4 = n.a();
                    if (a4 != null) {
                        z = z6;
                        a4.a.subscribe(a3.h);
                        a4.b.subscribe(a3.i);
                        a4.c.subscribe(a3.f);
                        a4.d.subscribe(a3.g);
                        a4.e.subscribe(a3.l);
                        a4.f.subscribe(a3.d);
                        a4.g.subscribe(a3.e);
                        a4.h.subscribe(a3.k);
                        a4.i.subscribe(a3.b);
                        a4.j.subscribe(a3.j);
                        a4.k.subscribe(a3.c);
                        a4.l.subscribe(a3.m);
                        a4.n.subscribe(a3.n);
                        a4.o.subscribe(a3.o);
                        a4.p.subscribe(a3.p);
                    } else {
                        z = z6;
                    }
                    bi.a().c();
                    n.a().i.a();
                    n.a().f.b = z3;
                    if (consent != null) {
                        n.a().l.a(consent);
                    }
                    if (z2) {
                        cx.b();
                    } else {
                        cx.a();
                    }
                    cx.a(i2);
                    a2.runAsync(new ea(j2, flurryAgentListener) {
                        /* class com.flurry.sdk.a.AnonymousClass12 */
                        final /* synthetic */ long a;
                        final /* synthetic */ FlurryAgentListener b;

                        {
                            this.a = r2;
                            this.b = r4;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            n.a().k.e = this.a;
                            n.a().k.a(this.b);
                        }
                    });
                    a2.runAsync(new ea(z4, z5) {
                        /* class com.flurry.sdk.a.AnonymousClass36 */
                        final /* synthetic */ boolean a;
                        final /* synthetic */ boolean b;

                        {
                            this.a = r2;
                            this.b = r3;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            int identifier;
                            ac acVar = n.a().h;
                            String b2 = bi.a().b();
                            boolean z = this.a;
                            boolean z2 = this.b;
                            acVar.a = b2;
                            acVar.d = z;
                            acVar.e = z2;
                            acVar.runAsync(
                            /*  JADX ERROR: Method code generation error
                                jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001d: INVOKE  
                                  (r0v1 'acVar' com.flurry.sdk.ac)
                                  (wrap: com.flurry.sdk.ac$3 : 0x001a: CONSTRUCTOR  (r1v2 com.flurry.sdk.ac$3) = (r0v1 'acVar' com.flurry.sdk.ac) call: com.flurry.sdk.ac.3.<init>(com.flurry.sdk.ac):void type: CONSTRUCTOR)
                                 type: VIRTUAL call: com.flurry.sdk.ac.runAsync(java.lang.Runnable):java.util.concurrent.Future in method: com.flurry.sdk.a.36.a():void, file: classes.dex
                                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
                                	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
                                	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
                                	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
                                	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
                                	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
                                	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
                                	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
                                	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
                                	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
                                	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:183)
                                	at java.util.ArrayList.forEach(ArrayList.java:1259)
                                	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:395)
                                	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
                                Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001a: CONSTRUCTOR  (r1v2 com.flurry.sdk.ac$3) = (r0v1 'acVar' com.flurry.sdk.ac) call: com.flurry.sdk.ac.3.<init>(com.flurry.sdk.ac):void type: CONSTRUCTOR in method: com.flurry.sdk.a.36.a():void, file: classes.dex
                                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
                                	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
                                	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
                                	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
                                	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
                                	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
                                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
                                	... 14 more
                                Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.flurry.sdk.ac, state: GENERATED_AND_UNLOADED
                                	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
                                	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
                                	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
                                	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
                                	... 20 more
                                */
                            /*
                            // Method dump skipped, instructions count: 206
                            */
                            throw new UnsupportedOperationException("Method not decompiled: com.flurry.sdk.a.AnonymousClass36.a():void");
                        }
                    });
                    a2.runAsync(new ea(i3, context) {
                        /* class com.flurry.sdk.a.AnonymousClass23 */
                        final /* synthetic */ int a;
                        final /* synthetic */ Context b;

                        {
                            this.a = r2;
                            this.b = r3;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            if (this.a != FlurryPerformance.NONE) {
                                dj.a().a(this.b, null);
                            }
                            if ((this.a & FlurryPerformance.COLD_START) == FlurryPerformance.COLD_START) {
                                dh a2 = dh.a();
                                a2.a = true;
                                if (a2.b) {
                                    a2.b();
                                }
                            }
                            if ((this.a & FlurryPerformance.SCREEN_TIME) == FlurryPerformance.SCREEN_TIME) {
                                dm.a().c = true;
                            }
                        }
                    });
                    a2.runAsync(new ea(z) {
                        /* class com.flurry.sdk.a.AnonymousClass34 */
                        final /* synthetic */ boolean a;

                        {
                            this.a = r2;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() throws Exception {
                            n.a().p.a(this.a);
                        }
                    });
                    a.b.set(true);
                    if (z7) {
                        cx.d("FlurryAgentImpl", "Force start session");
                        a2.a(context.getApplicationContext());
                        return;
                    }
                    return;
                }
                throw new IllegalArgumentException("API key not specified");
            }
        }
    }

    public static class UserProperties {
        public static final String PROPERTY_CURRENCY_PREFERENCE = "Flurry.CurrencyPreference";
        public static final String PROPERTY_PURCHASER = "Flurry.Purchaser";
        public static final String PROPERTY_REGISTERED_USER = "Flurry.RegisteredUser";
        public static final String PROPERTY_SUBSCRIBER = "Flurry.Subscriber";

        public static void set(String str, String str2) {
            if (FlurryAgent.b()) {
                a a = a.a();
                if (!a.b.get()) {
                    cx.d("FlurryAgentImpl", "Invalid call to UserProperties.set. Flurry is not initialized");
                } else {
                    a.runAsync(new ea(str, str2) {
                        /* class com.flurry.sdk.a.AnonymousClass25 */
                        final /* synthetic */ String a;
                        final /* synthetic */ String b;

                        {
                            this.a = r2;
                            this.b = r3;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            jk.a(this.a, this.b);
                        }
                    });
                }
            }
        }

        public static void set(String str, List<String> list) {
            if (FlurryAgent.b()) {
                a a = a.a();
                if (!a.b.get()) {
                    cx.d("FlurryAgentImpl", "Invalid call to UserProperties.set. Flurry is not initialized");
                } else {
                    a.runAsync(new ea(str, list) {
                        /* class com.flurry.sdk.a.AnonymousClass26 */
                        final /* synthetic */ String a;
                        final /* synthetic */ List b;

                        {
                            this.a = r2;
                            this.b = r3;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            jk.a(this.a, this.b);
                        }
                    });
                }
            }
        }

        public static void add(String str, String str2) {
            if (FlurryAgent.b()) {
                a a = a.a();
                if (!a.b.get()) {
                    cx.d("FlurryAgentImpl", "Invalid call to UserProperties.add. Flurry is not initialized");
                } else {
                    a.runAsync(new ea(str, str2) {
                        /* class com.flurry.sdk.a.AnonymousClass27 */
                        final /* synthetic */ String a;
                        final /* synthetic */ String b;

                        {
                            this.a = r2;
                            this.b = r3;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            jk.b(this.a, this.b);
                        }
                    });
                }
            }
        }

        public static void add(String str, List<String> list) {
            if (FlurryAgent.b()) {
                a a = a.a();
                if (!a.b.get()) {
                    cx.d("FlurryAgentImpl", "Invalid call to UserProperties.add. Flurry is not initialized");
                } else {
                    a.runAsync(new ea(str, list) {
                        /* class com.flurry.sdk.a.AnonymousClass28 */
                        final /* synthetic */ String a;
                        final /* synthetic */ List b;

                        {
                            this.a = r2;
                            this.b = r3;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            jk.b(this.a, this.b);
                        }
                    });
                }
            }
        }

        public static void remove(String str, String str2) {
            if (FlurryAgent.b()) {
                a a = a.a();
                if (!a.b.get()) {
                    cx.d("FlurryAgentImpl", "Invalid call to UserProperties.remove. Flurry is not initialized");
                } else {
                    a.runAsync(new ea(str, str2) {
                        /* class com.flurry.sdk.a.AnonymousClass29 */
                        final /* synthetic */ String a;
                        final /* synthetic */ String b;

                        {
                            this.a = r2;
                            this.b = r3;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            jk.c(this.a, this.b);
                        }
                    });
                }
            }
        }

        public static void remove(String str, List<String> list) {
            if (FlurryAgent.b()) {
                a a = a.a();
                if (!a.b.get()) {
                    cx.d("FlurryAgentImpl", "Invalid call to UserProperties.remove. Flurry is not initialized");
                } else {
                    a.runAsync(new ea(str, list) {
                        /* class com.flurry.sdk.a.AnonymousClass30 */
                        final /* synthetic */ String a;
                        final /* synthetic */ List b;

                        {
                            this.a = r2;
                            this.b = r3;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            jk.c(this.a, this.b);
                        }
                    });
                }
            }
        }

        public static void remove(String str) {
            if (FlurryAgent.b()) {
                a a = a.a();
                if (!a.b.get()) {
                    cx.d("FlurryAgentImpl", "Invalid call to UserProperties.remove. Flurry is not initialized");
                } else {
                    a.runAsync(new ea(str) {
                        /* class com.flurry.sdk.a.AnonymousClass31 */
                        final /* synthetic */ String a;

                        {
                            this.a = r2;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            jk.a(this.a);
                        }
                    });
                }
            }
        }

        public static void flag(String str) {
            if (FlurryAgent.b()) {
                a a = a.a();
                if (!a.b.get()) {
                    cx.d("FlurryAgentImpl", "Invalid call to UserProperties.flag. Flurry is not initialized");
                } else {
                    a.runAsync(new ea(str) {
                        /* class com.flurry.sdk.a.AnonymousClass35 */
                        final /* synthetic */ String a;

                        {
                            this.a = r2;
                        }

                        @Override // com.flurry.sdk.ea
                        public final void a() {
                            jk.b(this.a);
                        }
                    });
                }
            }
        }
    }
}
