package com.flurry.android;

import android.content.Context;
import android.net.Uri;
import android.text.TextUtils;
import android.util.Base64;
import com.flurry.sdk.eg;
import com.flurry.sdk.eh;
import java.nio.charset.Charset;
import java.security.MessageDigest;
import java.util.Locale;
import org.apache.commons.codec.digest.MessageDigestAlgorithms;

public interface FlurryPrivacySession {

    public interface Callback {
        void failure();

        void success();
    }

    public static class Request implements eg.a {
        final String a;
        final String b;
        final String c;
        public final Callback callback;
        public final Context context;
        public final String verifier;

        public Request(Context context2, Callback callback2) {
            String str;
            this.context = context2;
            this.callback = callback2;
            this.b = context2.getPackageName();
            String a2 = eh.b.a();
            this.verifier = a2;
            MessageDigest a3 = eh.a.a(MessageDigestAlgorithms.SHA_256);
            if (a3 != null) {
                a3.update(a2.getBytes(Charset.defaultCharset()));
                str = Base64.encodeToString(a3.digest(), 11);
            } else {
                str = "";
            }
            this.a = str;
            Locale locale = Locale.getDefault();
            String language = locale.getLanguage();
            language = TextUtils.isEmpty(language) ? e : language;
            String country = locale.getCountry();
            country = TextUtils.isEmpty(country) ? d : country;
            this.c = language + "-" + country;
        }
    }

    public static class a {
        public final Uri a;

        public a(String str, long j, Request request) {
            this.a = new Uri.Builder().scheme("https").authority("flurry.mydashboard.oath.com").appendQueryParameter("device_session_id", str).appendQueryParameter("expires_in", String.valueOf(j)).appendQueryParameter("device_verifier", request.a).appendQueryParameter("lang", request.c).build();
        }
    }
}
