package com.flurry.android.marketing;

import android.content.Context;
import com.flurry.android.FlurryAgent;
import com.flurry.android.FlurryModule;
import com.flurry.sdk.cz;
import com.flurry.sdk.marketing.p;

public final class FlurryMarketingModule extends p implements FlurryModule {
    private static final String PROPERTY_PUSH_ENABLED = "Flurry.PushEnabled";
    public static String VERSION_STRING = "!SDK-VERSION-STRING!:com.flurry.android:marketing:13.1.0";

    private FlurryMarketingModule() {
    }

    public FlurryMarketingModule(FlurryMarketingOptions flurryMarketingOptions) {
        super(flurryMarketingOptions);
        if (flurryMarketingOptions == null) {
            throw new IllegalArgumentException("Must pass in valid FlurryMarketingOptions to initialize Flurry Marketing.");
        }
    }

    @Override // com.flurry.sdk.marketing.p, com.flurry.sdk.db
    public final void init(Context context) throws cz {
        super.init(context);
        FlurryAgent.UserProperties.set(PROPERTY_PUSH_ENABLED, "true");
    }
}
