package com.flurry.android.marketing.messaging.FCM;

import com.flurry.sdk.be;
import com.flurry.sdk.cx;
import com.flurry.sdk.marketing.g;
import com.flurry.sdk.marketing.l;
import com.google.firebase.messaging.FirebaseMessagingService;
import com.google.firebase.messaging.RemoteMessage;
import java.util.Collections;

public final class FlurryMessageListenerService extends FirebaseMessagingService {
    public final void onMessageReceived(RemoteMessage remoteMessage) {
        cx.c("FlurryMessageListenerService", "FCM message received");
        if (remoteMessage != null) {
            l.a().a(remoteMessage);
        }
    }

    public final void onNewToken(String str) {
        cx.c("FlurryMessageListenerService", "FCM token received");
        if (str != null) {
            l.a();
            l.a(str);
            if (g.a()) {
                be.a();
                be.b("FCM Token Refreshed", Collections.emptyMap());
            }
        }
    }
}
