package com.flurry.android.marketing.messaging.notification;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import com.flurry.sdk.cx;
import com.flurry.sdk.ea;
import com.flurry.sdk.marketing.m;
import com.flurry.sdk.marketing.q;

public final class NotificationCancelledReceiver extends BroadcastReceiver {
    public static final String NOTIFICATION_CANCELLED_ACTION = "com.flurry.android.marketing.NOTIFICATION_CANCELLED";
    public static final String kLogTag = "NotificationCancelledReceiver";

    public final void onReceive(Context context, Intent intent) {
        Object obj;
        final FlurryMessage flurryMessage = (FlurryMessage) intent.getExtras().getParcelable("flurryMessage");
        StringBuilder sb = new StringBuilder("Notification has been dismissed, id: ");
        if (flurryMessage == null) {
            obj = "null";
        } else {
            obj = Integer.valueOf(flurryMessage.getNotificationId());
        }
        sb.append(obj);
        cx.a(3, kLogTag, sb.toString());
        if (q.a() != null) {
            m.a(new ea() {
                /* class com.flurry.android.marketing.messaging.notification.NotificationCancelledReceiver.AnonymousClass1 */

                @Override // com.flurry.sdk.ea
                public final void a() {
                    q.a().onNotificationCancelled(flurryMessage);
                }
            });
        }
        q.c(flurryMessage);
    }
}
