package com.flurry.sdk;

import android.app.Activity;
import android.view.ViewTreeObserver;
import com.flurry.android.FlurryEventRecordStatus;
import com.flurry.sdk.dj;
import com.flurry.sdk.gn;
import java.util.HashMap;
import java.util.Map;

public final class dm {
    private static dm h;
    dg a;
    Map<String, dg> b = new HashMap();
    public boolean c = false;
    long d = 0;
    long e = 0;
    int f = 0;
    boolean g = false;
    private dj.a i;

    private dm() {
    }

    public static synchronized dm a() {
        dm dmVar;
        synchronized (dm.class) {
            if (h == null) {
                h = new dm();
            }
            dmVar = h;
        }
        return dmVar;
    }

    public final void b() {
        if (this.i == null) {
            cx.a(3, "ScreenTimeMonitor", "Register Screen Time metrics.");
            long nanoTime = System.nanoTime();
            this.e = nanoTime;
            this.d = nanoTime;
            this.i = new dj.a() {
                /* class com.flurry.sdk.dm.AnonymousClass1 */

                @Override // com.flurry.sdk.dj.a
                public final void a(final Activity activity) {
                    cx.a(3, "ScreenTimeMonitor", "onActivityStarted for activity: " + activity.toString());
                    dm dmVar = dm.this;
                    dmVar.a = new dg(activity.getClass().getSimpleName(), dmVar.a == null ? null : dmVar.a.b);
                    dm.this.b.put(activity.toString(), dm.this.a);
                    dm dmVar2 = dm.this;
                    int i = dmVar2.f + 1;
                    dmVar2.f = i;
                    if (i == 1 && !dm.this.g) {
                        cx.a(3, "ScreenTimeMonitor", "onForeground for activity: " + activity.toString());
                        long nanoTime = System.nanoTime();
                        long j = (long) (((double) (nanoTime - dm.this.e)) / 1000000.0d);
                        dm dmVar3 = dm.this;
                        dmVar3.e = nanoTime;
                        dmVar3.d = nanoTime;
                        if (dm.this.c) {
                            dm.a("fl.background.time", activity.getClass().getSimpleName(), j);
                        }
                    }
                    activity.getWindow().getDecorView().getViewTreeObserver().addOnGlobalLayoutListener(new ViewTreeObserver.OnGlobalLayoutListener() {
                        /* class com.flurry.sdk.dm.AnonymousClass1.AnonymousClass1 */

                        public final void onGlobalLayout() {
                            activity.getWindow().getDecorView().getViewTreeObserver().removeOnGlobalLayoutListener(this);
                            if (dm.this.c && dm.this.a != null) {
                                dm.this.a.h = (long) (((double) (System.nanoTime() - dm.this.d)) / 1000000.0d);
                                cx.a(3, "ScreenTimeMonitor", "Start timed event for activity: " + dm.this.a.b);
                                dg dgVar = dm.this.a;
                                if (!dgVar.f) {
                                    cx.a(4, "ActivityScreenData", "Start timed activity event: " + dgVar.b);
                                    a a2 = a.a();
                                    String str = dgVar.a;
                                    gn.a aVar = gn.a.PERFORMANCE;
                                    if (dgVar.c != null) {
                                        dgVar.e.put("fl.previous.screen", dgVar.c);
                                    }
                                    dgVar.e.put("fl.current.screen", dgVar.b);
                                    dgVar.e.put("fl.resume.time", Long.toString(dgVar.g));
                                    dgVar.e.put("fl.layout.time", Long.toString(dgVar.h));
                                    Map<String, String> map = dgVar.e;
                                    if (!dy.a(16)) {
                                        FlurryEventRecordStatus flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventFailed;
                                    } else {
                                        a2.a(str, aVar, map, true, true);
                                    }
                                    dgVar.f = true;
                                }
                            }
                        }
                    });
                }

                @Override // com.flurry.sdk.dj.a
                public final void b(Activity activity) {
                    if (dm.this.c && dm.this.a != null) {
                        dm.this.a.g = (long) (((double) (System.nanoTime() - dm.this.d)) / 1000000.0d);
                    }
                }

                @Override // com.flurry.sdk.dj.a
                public final void a() {
                    dm.this.d = System.nanoTime();
                }

                @Override // com.flurry.sdk.dj.a
                public final void c(Activity activity) {
                    dg remove = dm.this.b.remove(activity.toString());
                    dm.this.g = activity.isChangingConfigurations();
                    dm dmVar = dm.this;
                    int i = dmVar.f - 1;
                    dmVar.f = i;
                    if (i == 0 && !dm.this.g) {
                        cx.a(3, "ScreenTimeMonitor", "onBackground for activity: " + activity.toString());
                        long nanoTime = System.nanoTime();
                        long j = (long) (((double) (nanoTime - dm.this.e)) / 1000000.0d);
                        dm.this.e = nanoTime;
                        if (dm.this.c) {
                            dm.a("fl.foreground.time", activity.getClass().getSimpleName(), j);
                        }
                    }
                    if (dm.this.c && remove != null) {
                        cx.a(3, "ScreenTimeMonitor", "End timed event: " + remove.b);
                        if (remove.f) {
                            cx.a(4, "ActivityScreenData", "End timed activity event: " + remove.b);
                            a a2 = a.a();
                            String str = remove.a;
                            gn.a aVar = gn.a.PERFORMANCE;
                            remove.e.put("fl.duration", Long.toString((long) (((double) (System.nanoTime() - remove.d)) / 1000000.0d)));
                            Map<String, String> map = remove.e;
                            if (!dy.a(16)) {
                                FlurryEventRecordStatus flurryEventRecordStatus = FlurryEventRecordStatus.kFlurryEventFailed;
                            } else {
                                a2.a(str, aVar, map, true, false);
                            }
                            remove.f = false;
                        }
                    }
                }
            };
            dj.a().a(this.i);
        }
    }

    static /* synthetic */ void a(String str, String str2, long j) {
        HashMap hashMap = new HashMap();
        hashMap.put("fl.current.screen", str2);
        hashMap.put(str, Long.toString(j));
        a.a().a("Flurry.ForegroundTime", gn.a.PERFORMANCE, hashMap);
    }
}
