package com.flurry.sdk;

import android.os.Handler;
import android.os.Looper;
import com.flurry.sdk.h;
import java.util.Deque;
import java.util.LinkedList;
import java.util.concurrent.CancellationException;
import java.util.concurrent.Future;

public class f extends i {
    private static final ThreadLocal<f> a = new ThreadLocal<>();
    private Thread b;

    public class a extends h {
        private Deque<Runnable> b = new LinkedList();
        private int d = 1;

        @Override // com.flurry.sdk.h
        public final void cleanupTask(Runnable runnable) {
        }

        public a(String str, f fVar) {
            super(str, fVar, true);
        }

        @Override // com.flurry.sdk.h
        public final void runSync(Runnable runnable) throws CancellationException {
            boolean z;
            synchronized (this) {
                z = this.d == 0;
            }
            if (z) {
                this.target.runSync(runnable);
                return;
            }
            h.a aVar = new h.a(this.target, c);
            synchronized (this) {
                this.b.add(aVar);
            }
            while (!aVar.isDone()) {
                try {
                    aVar.get();
                } catch (CancellationException e) {
                    throw e;
                } catch (Exception unused) {
                }
            }
            if (!wrapRunnable(runnable)) {
                wrapNextRunnable(runnable);
            }
            aVar.b.cleanupTask(aVar);
        }

        @Override // com.flurry.sdk.h
        public final synchronized Future<Void> runAsync(Runnable runnable) {
            if (this.d == 0) {
                return this.target.runAsync(runnable);
            }
            AnonymousClass1 r0 = new h.a(this.target, runnable) {
                /* class com.flurry.sdk.f.a.AnonymousClass1 */

                /* access modifiers changed from: protected */
                public final void done() {
                    this.b.cleanupTask(this);
                }
            };
            this.b.add(r0);
            return r0;
        }

        @Override // com.flurry.sdk.h
        public final synchronized Future<Void> runAfter(Runnable runnable, long j) {
            return this.target.runAfter(new h.a(this, runnable) {
                /* class com.flurry.sdk.f.a.AnonymousClass2 */

                /* access modifiers changed from: protected */
                public final void done() {
                    this.b.cleanupTask(this);
                }
            }, j);
        }
    }

    public static f currentActor() {
        return a.get();
    }

    public f(String str, h hVar) {
        super(str, hVar, false);
    }

    /* access modifiers changed from: protected */
    @Override // com.flurry.sdk.h, com.flurry.sdk.i
    public void runSync(Runnable runnable) {
        synchronized (this) {
            if (this.b == Thread.currentThread()) {
                if (!(runnable instanceof h.a)) {
                    runnable.run();
                } else if (this.target != null) {
                    this.target.runSync(runnable);
                }
                return;
            }
            super.runSync(runnable);
        }
    }

    @Override // com.flurry.sdk.h, com.flurry.sdk.i
    public Future<Void> runAsync(Runnable runnable) {
        return super.runAsync(runnable);
    }

    /* access modifiers changed from: protected */
    @Override // com.flurry.sdk.h, com.flurry.sdk.i
    public Future<Void> runAfter(Runnable runnable, long j) {
        return super.runAfter(runnable, j);
    }

    /* access modifiers changed from: protected */
    @Override // com.flurry.sdk.h, com.flurry.sdk.i
    public boolean wrapRunnable(Runnable runnable) {
        ThreadLocal<f> threadLocal;
        f fVar;
        Thread thread;
        synchronized (this) {
            threadLocal = a;
            fVar = threadLocal.get();
            threadLocal.set(this);
            thread = this.b;
            this.b = Thread.currentThread();
        }
        try {
            wrapNextRunnable(runnable);
            synchronized (this) {
                this.b = thread;
                threadLocal.set(fVar);
            }
            return true;
        } catch (Throwable th) {
            synchronized (this) {
                this.b = thread;
                a.set(fVar);
                throw th;
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.flurry.sdk.h
    public void flush(Runnable runnable) {
        if (Thread.currentThread() == this.b) {
            runnable.run();
        }
    }

    /* access modifiers changed from: protected */
    public a createDeferredQueue(String str) {
        return new a(str, this);
    }

    /* access modifiers changed from: protected */
    public void postOnMainThread(Runnable runnable) {
        new Handler(Looper.getMainLooper()).post(runnable);
    }
}
