package com.flurry.sdk;

import android.os.SystemClock;
import com.flurry.sdk.fy;
import com.flurry.sdk.gk;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.util.Timer;
import java.util.TimerTask;
import java.util.concurrent.atomic.AtomicBoolean;

public final class fz implements fy {
    Map<jo, jq> a;
    long b = Long.MIN_VALUE;
    long c = Long.MIN_VALUE;
    long d = Long.MIN_VALUE;
    int e = bd.BACKGROUND.d;
    private AtomicBoolean f;
    private fx g;
    private boolean h = false;
    private Timer i = null;
    private TimerTask j = null;
    private b k = b.INACTIVE;

    /* access modifiers changed from: package-private */
    public enum b {
        INACTIVE,
        FOREGROUND_RUNNING,
        FOREGROUND_ENDING,
        BACKGROUND_RUNNING,
        BACKGROUND_ENDING
    }

    static boolean a(long j2) {
        return j2 > 0;
    }

    public fz(fx fxVar) {
        this.g = fxVar;
        if (this.a == null) {
            this.a = new HashMap();
        }
        this.a.clear();
        this.a.put(jo.SESSION_INFO, null);
        this.a.put(jo.APP_STATE, null);
        this.a.put(jo.APP_INFO, null);
        this.a.put(jo.REPORTED_ID, null);
        this.a.put(jo.DEVICE_PROPERTIES, null);
        this.a.put(jo.SESSION_ID, null);
        this.a = this.a;
        this.f = new AtomicBoolean(false);
    }

    @Override // com.flurry.sdk.fy
    public final void a() {
        e();
    }

    @Override // com.flurry.sdk.fy
    public final void a(jq jqVar) {
        if (jqVar.a().equals(jo.FLUSH_FRAME)) {
            ip ipVar = (ip) jqVar.f();
            if (!fy.a.REASON_SESSION_FINALIZE.j.equals(ipVar.b)) {
                if (!fy.a.REASON_STICKY_SET_COMPLETE.j.equals(ipVar.b)) {
                    long elapsedRealtime = SystemClock.elapsedRealtime();
                    a(this.c, elapsedRealtime, "Flush In Middle");
                    b(jg.a(this.b, this.c, elapsedRealtime, this.e));
                }
                jq jqVar2 = this.a.get(jo.SESSION_ID);
                if (jqVar2 != null) {
                    c(jqVar2);
                    return;
                }
                return;
            }
            return;
        }
        if (jqVar.a().equals(jo.REPORTING)) {
            gz gzVar = (gz) jqVar.f();
            int i2 = AnonymousClass2.a[this.k.ordinal()];
            if (i2 != 1) {
                if (i2 != 2) {
                    if (i2 != 3) {
                        if (i2 != 4) {
                            if (i2 != 5) {
                                cx.a(6, "SessionRule", "Unreachable Code");
                            } else if (b(gzVar)) {
                                this.h = gzVar.f;
                                a(b.FOREGROUND_RUNNING);
                                a(gzVar);
                            } else if (c(gzVar)) {
                                a(b.BACKGROUND_RUNNING);
                                a(gzVar);
                            }
                        } else if (b(gzVar)) {
                            e();
                            a(b.FOREGROUND_RUNNING);
                            a(gzVar);
                        } else if (c(gzVar)) {
                            b();
                            this.d = Long.MIN_VALUE;
                            a(b.BACKGROUND_RUNNING);
                        }
                    } else if (b(gzVar)) {
                        e();
                        a(b.FOREGROUND_RUNNING);
                        a(gzVar);
                    } else {
                        if (gzVar.a.equals(bd.BACKGROUND) && gzVar.e.equals(bc.SESSION_END)) {
                            b(gzVar.d);
                            a(b.BACKGROUND_ENDING);
                        }
                    }
                } else if (b(gzVar)) {
                    b();
                    this.d = Long.MIN_VALUE;
                    a(b.FOREGROUND_RUNNING);
                }
            } else if (gzVar.a.equals(bd.FOREGROUND)) {
                if (this.h && !gzVar.f) {
                    this.h = false;
                }
                if ((gzVar.a.equals(bd.FOREGROUND) && gzVar.e.equals(bc.SESSION_END)) && (this.h || !gzVar.f)) {
                    b(gzVar.d);
                    a(b.FOREGROUND_ENDING);
                }
            }
        }
        if (jqVar.a().equals(jo.ANALYTICS_ERROR) && ((gl) jqVar.f()).g == gk.a.UNRECOVERABLE_CRASH.d) {
            b();
            this.d = SystemClock.elapsedRealtime();
            if (a(this.b)) {
                a(this.c, this.d, "Process Crash");
                b(jg.a(this.b, this.c, this.d, this.e));
            } else {
                cx.a(6, "SessionRule", "Session id is invalid. Not appending this session id frame.");
            }
        }
        if (jqVar.a().equals(jo.CCPA_DELETION)) {
            fy.a aVar = fy.a.REASON_DATA_DELETION;
            c(io.a(aVar.ordinal(), aVar.j));
        }
        jo a2 = jqVar.a();
        if (this.a.containsKey(a2)) {
            cx.a(3, "SessionRule", "Adding Sticky Frame:" + jqVar.e());
            this.a.put(a2, jqVar);
        }
        if (!this.f.get() && d()) {
            this.f.set(true);
            fy.a aVar2 = fy.a.REASON_STICKY_SET_COMPLETE;
            c(io.a(aVar2.ordinal(), aVar2.j));
            int b2 = fd.b("last_streaming_http_error_code", Integer.MIN_VALUE);
            String b3 = fd.b("last_streaming_http_error_message", "");
            String b4 = fd.b("last_streaming_http_report_identifier", "");
            if (b2 != Integer.MIN_VALUE) {
                dy.a(b2, b3, b4, false);
                fd.a("last_streaming_http_error_code");
                fd.a("last_streaming_http_error_message");
                fd.a("last_streaming_http_report_identifier");
            }
            int b5 = fd.b("last_legacy_http_error_code", Integer.MIN_VALUE);
            String b6 = fd.b("last_legacy_http_error_message", "");
            String b7 = fd.b("last_legacy_http_report_identifier", "");
            if (b5 != Integer.MIN_VALUE) {
                dy.a(b5, b6, b7, false);
                fd.a("last_legacy_http_error_code");
                fd.a("last_legacy_http_error_message");
                fd.a("last_legacy_http_report_identifier");
            }
            fd.a("last_streaming_session_id", this.b);
            HashMap hashMap = new HashMap();
            hashMap.put("streaming.session.id", String.valueOf(this.b));
            be.a();
            be.b("Session Ids", hashMap);
            be.a().b();
        } else if (this.f.get() && jqVar.a().equals(jo.NOTIFICATION)) {
            be.a();
            be.b("Flush Token Refreshed", Collections.emptyMap());
            fy.a aVar3 = fy.a.REASON_PUSH_TOKEN_REFRESH;
            c(io.a(aVar3.ordinal(), aVar3.j));
        }
    }

    /* renamed from: com.flurry.sdk.fz$2  reason: invalid class name */
    static /* synthetic */ class AnonymousClass2 {
        static final /* synthetic */ int[] a;

        /* JADX WARNING: Can't wrap try/catch for region: R(12:0|1|2|3|4|5|6|7|8|9|10|12) */
        /* JADX WARNING: Code restructure failed: missing block: B:13:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[b.values().length];
            a = iArr;
            iArr[b.FOREGROUND_RUNNING.ordinal()] = 1;
            a[b.FOREGROUND_ENDING.ordinal()] = 2;
            a[b.BACKGROUND_RUNNING.ordinal()] = 3;
            a[b.BACKGROUND_ENDING.ordinal()] = 4;
            a[b.INACTIVE.ordinal()] = 5;
        }
    }

    private void a(b bVar) {
        if (this.k.equals(bVar)) {
            cx.a(3, "SessionRule", "Invalid state transition.");
            return;
        }
        cx.a(3, "SessionRule", "Previous session state: " + this.k.name());
        this.k = bVar;
        cx.a(3, "SessionRule", "Current session state: " + this.k.name());
    }

    private boolean d() {
        boolean z = true;
        for (Map.Entry<jo, jq> entry : this.a.entrySet()) {
            if (entry.getValue() == null) {
                z = false;
            }
        }
        return z;
    }

    private void e() {
        if (this.b <= 0) {
            cx.a(6, "SessionRule", "Finalize session " + this.b);
            return;
        }
        b();
        be.a().b();
        this.d = SystemClock.elapsedRealtime();
        if (a(this.b)) {
            b(jg.a(this.b, this.c, this.d, this.e));
        } else {
            cx.a(6, "SessionRule", "Session id is invalid. Not appending this session id frame.");
        }
        fy.a aVar = fy.a.REASON_SESSION_FINALIZE;
        b(io.a(aVar.ordinal(), aVar.j));
        a(false);
        c();
    }

    private void a(gz gzVar) {
        if (!gzVar.e.equals(bc.SESSION_START)) {
            cx.a(3, "SessionRule", "Only generate session id during session start");
        } else if (this.b == Long.MIN_VALUE && this.a.get(jo.SESSION_ID) == null) {
            cx.a(3, "SessionRule", "Generating Session Id:" + gzVar.b);
            this.b = gzVar.b;
            this.c = SystemClock.elapsedRealtime();
            this.e = gzVar.a.d == 1 ? 2 : 0;
            if (a(this.b)) {
                a(this.c, this.d, "Generate Session Id");
                c(jg.a(this.b, this.c, this.d, this.e));
            } else {
                cx.a(6, "SessionRule", "Session id is invalid. Not appending this session id frame.");
            }
            a(true);
        }
    }

    private void c(jq jqVar) {
        if (this.g != null) {
            cx.a(3, "SessionRule", "Appending Frame:" + jqVar.e());
            this.g.a(jqVar);
        }
    }

    /* access modifiers changed from: package-private */
    public final void b(jq jqVar) {
        if (this.g != null) {
            cx.a(3, "SessionRule", "Forwarding Frame:" + jqVar.e());
            this.g.b(jqVar);
        }
    }

    /* access modifiers changed from: package-private */
    public final synchronized void b() {
        Timer timer = this.i;
        if (timer != null) {
            timer.cancel();
            this.i = null;
        }
        TimerTask timerTask = this.j;
        if (timerTask != null) {
            timerTask.cancel();
            this.j = null;
        }
    }

    public class a extends TimerTask {
        protected a() {
        }

        public final void run() {
            fz.this.b();
            fz fzVar = fz.this;
            be.a().b();
            if (fzVar.d <= 0) {
                fzVar.d = SystemClock.elapsedRealtime();
            }
            if (fz.a(fzVar.b)) {
                fzVar.b(jg.a(fzVar.b, fzVar.c, fzVar.d, fzVar.e));
            } else {
                cx.a(6, "SessionRule", "Session id is invalid. Not appending this session id frame.");
            }
            fy.a aVar = fy.a.REASON_SESSION_FINALIZE;
            fzVar.b(io.a(aVar.ordinal(), aVar.j));
            fzVar.a(false);
            fzVar.c();
        }
    }

    /* access modifiers changed from: package-private */
    public final void c() {
        cx.a(3, "SessionRule", "Reset session rule");
        this.a.put(jo.SESSION_ID, null);
        this.f.set(false);
        this.b = Long.MIN_VALUE;
        this.c = Long.MIN_VALUE;
        this.d = Long.MIN_VALUE;
        this.k = b.INACTIVE;
        this.h = false;
    }

    private static boolean b(gz gzVar) {
        return gzVar.a.equals(bd.FOREGROUND) && gzVar.e.equals(bc.SESSION_START);
    }

    private static boolean c(gz gzVar) {
        return gzVar.a.equals(bd.BACKGROUND) && gzVar.e.equals(bc.SESSION_START);
    }

    /* access modifiers changed from: package-private */
    public final void a(final boolean z) {
        fx fxVar = this.g;
        if (fxVar != null) {
            fxVar.a(new ea() {
                /* class com.flurry.sdk.fz.AnonymousClass1 */

                @Override // com.flurry.sdk.ea
                public final void a() throws Exception {
                    if (z) {
                        n.a().k.a(fz.this.b, fz.this.c);
                    }
                    bb bbVar = n.a().k;
                    bbVar.d.set(z);
                }
            });
        }
    }

    private static void a(long j2, long j3, String str) {
        HashMap hashMap = new HashMap();
        hashMap.put("fl.session.elapsed.start.time", String.valueOf(j2));
        if (j3 != Long.MIN_VALUE) {
            hashMap.put("fl.session.elapsed.end.time", String.valueOf(j3));
            hashMap.put("fl.session.duration", String.valueOf(j3 - j2));
        }
        hashMap.put("fl.session.message", str);
        be.a();
        be.b("Session Duration", hashMap);
    }

    private void b(long j2) {
        b();
        this.d = SystemClock.elapsedRealtime();
        if (a(this.b)) {
            a(this.c, this.d, "Start Session Finalize Timer");
            c(jg.a(this.b, this.c, this.d, this.e));
        } else {
            cx.a(6, "SessionRule", "Session id is invalid. Not appending this session id frame.");
        }
        c(j2);
    }

    private synchronized void c(long j2) {
        if (this.i != null) {
            b();
        }
        this.i = new Timer("FlurrySessionTimer");
        a aVar = new a();
        this.j = aVar;
        this.i.schedule(aVar, j2);
    }
}
