package com.flurry.sdk;

import com.flurry.sdk.be;
import com.flurry.sdk.ew;
import com.flurry.sdk.gd;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Locale;
import java.util.concurrent.locks.ReentrantLock;

public final class ga extends f implements gd {
    protected static BufferedOutputStream a;
    private static int d;
    private gc b;
    private ReentrantLock e;

    public ga() {
        super("BufferedFrameAppender", ew.a(ew.a.CORE));
        this.b = null;
        this.e = new ReentrantLock(true);
        this.b = new gc();
    }

    @Override // com.flurry.sdk.gd
    public final void a(final jq jqVar, final gd.a aVar) {
        cx.a(2, "BufferedFrameAppender", "Appending Frame:" + jqVar.a());
        runAsync(new ea() {
            /* class com.flurry.sdk.ga.AnonymousClass1 */

            @Override // com.flurry.sdk.ea
            public final void a() {
                ga.this.e.lock();
                try {
                    ga.a(ga.this, jqVar);
                    gd.a aVar = aVar;
                    if (aVar != null) {
                        aVar.a();
                    }
                } finally {
                    ga.this.e.unlock();
                }
            }
        });
    }

    @Override // com.flurry.sdk.gd
    public final void a(final jq jqVar) {
        cx.a(2, "BufferedFrameAppender", "Appending Frame:" + jqVar.a());
        runSync(new ea() {
            /* class com.flurry.sdk.ga.AnonymousClass2 */

            @Override // com.flurry.sdk.ea
            public final void a() {
                ga.this.e.lock();
                try {
                    ga.a(ga.this, jqVar);
                } finally {
                    ga.this.e.unlock();
                }
            }
        });
    }

    @Override // com.flurry.sdk.gd
    public final void a() {
        cx.a(2, "BufferedFrameAppender", "Close");
        this.e.lock();
        try {
            d = 0;
            dy.a(a);
            a = null;
        } finally {
            this.e.unlock();
        }
    }

    @Override // com.flurry.sdk.gd
    public final boolean a(String str, String str2) {
        IOException e2;
        cx.a(2, "BufferedFrameAppender", "Open");
        this.e.lock();
        boolean z = true;
        try {
            File file = new File(str, str2);
            if (!file.exists()) {
                if (!dx.a(file)) {
                    throw new IOException("Frame file: Error creating directory for :" + file.getAbsolutePath());
                }
            }
            a = new BufferedOutputStream(new FileOutputStream(file, true));
            try {
                d = 0;
            } catch (IOException e3) {
                e2 = e3;
            }
        } catch (IOException e4) {
            e2 = e4;
            z = false;
            try {
                cx.a(6, "BufferedFrameAppender", "Error in opening file:" + str2 + " Message:" + e2.getMessage());
                this.e.unlock();
                return z;
            } catch (Throwable th) {
                this.e.unlock();
                throw th;
            }
        }
        this.e.unlock();
        return z;
    }

    @Override // com.flurry.sdk.gd
    public final void b() {
        this.e.lock();
        try {
            if (c()) {
                a();
            }
            js jsVar = new js(fe.c(), "currentFile");
            File file = new File(jsVar.a, jsVar.b);
            be.b a2 = gb.a(file);
            if (a2 != be.b.SUCCEED) {
                be.a().a(a2);
                boolean delete = file.delete();
                cx.a(5, "BufferedFrameAppender", "File deleted status: " + delete + " InProgress.");
            } else {
                boolean z = false;
                js jsVar2 = new js(fe.b(), String.format(Locale.US, "completed-%d", Long.valueOf(System.currentTimeMillis())));
                if (ff.a(jsVar, jsVar2)) {
                    if (ff.a(jsVar.a, jsVar.b, jsVar2.a, jsVar2.b)) {
                        boolean a3 = jt.a(jsVar, jsVar2);
                        z = a3 ? jt.a(jsVar) : a3;
                    }
                }
                cx.a(4, "BufferedFrameAppender", "File moved status: " + z + " InProgress to Completed.");
            }
        } finally {
            this.e.unlock();
        }
    }

    @Override // com.flurry.sdk.gd
    public final boolean c() {
        return a != null;
    }

    static /* synthetic */ void a(ga gaVar, jq jqVar) {
        boolean z = true;
        d++;
        byte[] a2 = gaVar.b.a(jqVar);
        if (a2 != null) {
            try {
                a.write(a2);
                a.flush();
            } catch (IOException e2) {
                cx.a(2, "BufferedFrameAppender", "Error appending frame:" + e2.getMessage());
            }
            cx.a(2, "BufferedFrameAppender", "Appending Frame " + jqVar.a() + " frameSaved:" + z + " frameCount:" + d);
        }
        z = false;
        cx.a(2, "BufferedFrameAppender", "Appending Frame " + jqVar.a() + " frameSaved:" + z + " frameCount:" + d);
    }
}
