package com.flurry.sdk.marketing;

import android.app.NotificationManager;
import android.content.ComponentName;
import android.content.Context;
import android.os.Build;
import com.flurry.android.marketing.FlurryMarketingUtils;
import com.flurry.android.marketing.messaging.FCM.FlurryMessageListenerService;
import com.flurry.sdk.cx;
import com.flurry.sdk.db;
import com.flurry.sdk.dy;
import com.flurry.sdk.ea;
import java.util.concurrent.Executors;

public abstract class j implements db {
    protected static boolean a = false;
    protected static boolean b = false;
    private static boolean c = false;

    @Override // com.flurry.sdk.db
    public synchronized void init(final Context context) {
        boolean z;
        NotificationManager notificationManager;
        if (context == null) {
            cx.b("FlurryMarketingCoreModuleImpl", "context can not be null");
        } else if (c) {
            cx.a(5, "FlurryMarketingCoreModuleImpl", "Ignore redundant Flurry initialization");
        } else {
            dy.a("marketingCore", "13.1.0");
            cx.a(4, "FlurryMarketingCoreModuleImpl", "Init FCM");
            l.a();
            a = l.a(context);
            l.a();
            l.a(a);
            if (a) {
                new FlurryMarketingUtils.FirebaseTokenAgent().start(new FlurryMarketingUtils.FirebaseTokenAgent.TokenListener() {
                    /* class com.flurry.sdk.marketing.j.AnonymousClass1 */

                    @Override // com.flurry.android.marketing.FlurryMarketingUtils.FirebaseTokenAgent.TokenListener
                    public final void onComplete(String str) {
                        l.a();
                        l.a(str);
                    }
                });
            }
            Executors.newSingleThreadExecutor().execute(new ea() {
                /* class com.flurry.sdk.marketing.j.AnonymousClass2 */

                @Override // com.flurry.sdk.ea
                public final void a() {
                    Context applicationContext = context.getApplicationContext();
                    boolean z = j.a;
                    cx.a(4, "AndroidUtil", "Enabled FCM service: ".concat(String.valueOf(z)));
                    applicationContext.getPackageManager().setComponentEnabledSetting(new ComponentName(applicationContext, FlurryMessageListenerService.class), z ? 1 : 2, 1);
                }
            });
            cx.a(4, "FlurryMarketingCoreModuleImpl", "Init ADM");
            l.a();
            l.b(b);
            l.a();
            if (Build.VERSION.SDK_INT >= 24 && (notificationManager = (NotificationManager) context.getSystemService("notification")) != null && !notificationManager.areNotificationsEnabled()) {
                z = false;
            } else {
                z = true;
            }
            l.c(z);
            c = true;
        }
    }

    @Override // com.flurry.sdk.db
    public synchronized void destroy() {
        c = false;
    }
}
