package com.flurry.sdk.marketing;

import android.content.Context;
import android.content.Intent;
import android.os.Handler;
import android.text.TextUtils;
import com.flurry.android.marketing.FlurryMarketingOptions;
import com.flurry.android.marketing.messaging.FlurryMessagingListener;
import com.flurry.android.marketing.messaging.notification.FlurryMessage;
import com.flurry.sdk.cx;
import com.google.firebase.messaging.RemoteMessage;

public final class q {
    private static String a = "FlurryMessagingImpl";
    private static FlurryMessagingListener b = null;
    private static Handler c = null;
    private static boolean d = false;
    private static String e = null;
    private static int f = -1;
    private static int g = -1;

    public static synchronized void a(FlurryMarketingOptions flurryMarketingOptions) {
        synchronized (q.class) {
            d = true;
            if (!flurryMarketingOptions.isAutoIntegration()) {
                flurryMarketingOptions.getToken();
            }
            b = flurryMarketingOptions.getFlurryMessagingListener();
            c = flurryMarketingOptions.getFlurryMessagingHandler();
            if (!TextUtils.isEmpty(flurryMarketingOptions.getNotificationChannelId())) {
                e = flurryMarketingOptions.getNotificationChannelId();
            }
            f = flurryMarketingOptions.getDefaultNotificationIconResourceId();
            g = flurryMarketingOptions.getDefaultNotificationIconAccentColor();
            r.a(flurryMarketingOptions.isAutoIntegration(), c);
        }
    }

    private static boolean e() {
        if (d) {
            return true;
        }
        cx.b(a, "Flurry Marketing must be initialized to use messaging! Make sure you've initialized Flurry with the Marketing module in the app application class.");
        return false;
    }

    public static FlurryMessagingListener a() {
        return b;
    }

    public static int b() {
        return f;
    }

    public static int c() {
        return g;
    }

    public static void a(Context context, FlurryMessage flurryMessage) {
        if (e()) {
            r.a(context, flurryMessage);
        }
    }

    public static void a(FlurryMessage flurryMessage) {
        if (e()) {
            String str = a;
            cx.a(3, str, "Flurry notification received, with notification id - " + flurryMessage.notificationId);
            r.a("Flurry.PushReceived", flurryMessage.getFlurryData());
        }
    }

    public static void b(FlurryMessage flurryMessage) {
        if (e()) {
            String str = a;
            cx.a(3, str, "Flurry notification clicked, with notification id - " + flurryMessage.notificationId);
            r.a("Flurry.PushOpened", flurryMessage.getFlurryData());
        }
    }

    public static void c(FlurryMessage flurryMessage) {
        if (e()) {
            String str = a;
            cx.a(3, str, "Flurry notification cancelled, with notification id - " + flurryMessage.notificationId);
            r.a("Flurry.PushCanceled", flurryMessage.getFlurryData());
        }
    }

    public static void a(String str) {
        if (e()) {
            r.a(str);
        }
    }

    public static boolean a(RemoteMessage remoteMessage) {
        if (!e()) {
            return false;
        }
        return r.a(remoteMessage);
    }

    public static FlurryMessage b(RemoteMessage remoteMessage) {
        if (!e()) {
            return null;
        }
        return s.a(remoteMessage);
    }

    public static void a(Intent intent, FlurryMessage flurryMessage) {
        if (e()) {
            r.a(intent, flurryMessage);
        }
    }

    public static FlurryMessage a(Intent intent) {
        if (!e()) {
            return null;
        }
        return r.a(intent);
    }

    public static String d() {
        return e;
    }
}
