package com.gopher.mobile;

import android.content.Intent;
import android.net.VpnService;
import com.leaf.and.aleaf.SimpleVpnService;
import kotlin.Metadata;
import kotlin.concurrent.ThreadsKt;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Ref;

@Metadata(d1 = {"\u0000&\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002J\b\u0010\u0005\u001a\u00020\u0006H\u0016J \u0010\u0007\u001a\u00020\b2\u0006\u0010\t\u001a\u00020\n2\u0006\u0010\u000b\u001a\u00020\b2\u0006\u0010\f\u001a\u00020\bH\u0016R\u000e\u0010\u0003\u001a\u00020\u0004X.¢\u0006\u0002\n\u0000¨\u0006\r"}, d2 = {"Lcom/gopher/mobile/ProxyService;", "Landroid/net/VpnService;", "()V", "bgThread", "Ljava/lang/Thread;", "onRevoke", "", "onStartCommand", "", "intent", "Landroid/content/Intent;", "flags", "startId", "leaf-android_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: ProxyService.kt */
public final class ProxyService extends VpnService {
    private Thread bgThread;

    public int onStartCommand(Intent intent, int i, int i2) {
        Intrinsics.checkNotNullParameter(intent, "intent");
        String stringExtra = intent.getStringExtra("title");
        if (stringExtra != null) {
            Ref.ObjectRef objectRef = new Ref.ObjectRef();
            T t = (T) intent.getStringExtra("config");
            if (t != null) {
                objectRef.element = t;
                this.bgThread = ThreadsKt.thread$default(true, false, null, null, 0, new ProxyService$onStartCommand$1(this, stringExtra, objectRef), 30, null);
                return 1;
            }
            throw new RuntimeException("Stub!");
        }
        throw new RuntimeException("Stub!");
    }

    public void onRevoke() {
        new SimpleVpnService().stopLeaf();
        Thread thread = this.bgThread;
        if (thread == null) {
            Intrinsics.throwUninitializedPropertyAccessException("bgThread");
            thread = null;
        }
        thread.interrupt();
    }
}
