package com.squirrelvpn;

import android.app.Application;
import android.content.Context;
import com.facebook.react.ReactApplication;
import com.facebook.react.ReactInstanceManager;
import com.facebook.react.ReactNativeHost;
import com.facebook.react.config.ReactFeatureFlags;
import com.facebook.soloader.SoLoader;
import com.gopher.mobile.GlobalConfig;
import com.gopher.mobile.ProxyHelper;
import com.squirrel.R;
import com.squirrelvpn.newarchitecture.MainApplicationReactNativeHost;
import kotlin.Metadata;
import kotlin.jvm.internal.DefaultConstructorMarker;
import kotlin.jvm.internal.Intrinsics;

@Metadata(d1 = {"\u0000 \n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0002\b\u0002\u0018\u0000 \n2\u00020\u00012\u00020\u0002:\u0001\nB\u0005¢\u0006\u0002\u0010\u0003J\b\u0010\u0007\u001a\u00020\u0005H\u0016J\b\u0010\b\u001a\u00020\tH\u0016R\u000e\u0010\u0004\u001a\u00020\u0005X\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\u0006\u001a\u00020\u0005X\u0004¢\u0006\u0002\n\u0000¨\u0006\u000b"}, d2 = {"Lcom/squirrelvpn/MainApplication;", "Landroid/app/Application;", "Lcom/facebook/react/ReactApplication;", "()V", "mNewArchitectureNativeHost", "Lcom/facebook/react/ReactNativeHost;", "mReactNativeHost", "getReactNativeHost", "onCreate", "", "Companion", "app_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
/* compiled from: MainApplication.kt */
public final class MainApplication extends Application implements ReactApplication {
    public static final Companion Companion = new Companion(null);
    private final ReactNativeHost mNewArchitectureNativeHost = new MainApplicationReactNativeHost(this);
    private final ReactNativeHost mReactNativeHost = new MainApplication$mReactNativeHost$1(this);

    @Override // com.facebook.react.ReactApplication
    public ReactNativeHost getReactNativeHost() {
        return this.mReactNativeHost;
    }

    public void onCreate() {
        super.onCreate();
        ReactFeatureFlags.useTurboModules = false;
        MainApplication mainApplication = this;
        SoLoader.init((Context) mainApplication, false);
        Companion companion = Companion;
        ReactInstanceManager reactInstanceManager = getReactNativeHost().getReactInstanceManager();
        Intrinsics.checkNotNullExpressionValue(reactInstanceManager, "reactNativeHost.reactInstanceManager");
        companion.initializeFlipper(mainApplication, reactInstanceManager);
        ProxyHelper.Companion companion2 = ProxyHelper.Companion;
        Context applicationContext = getApplicationContext();
        Intrinsics.checkNotNullExpressionValue(applicationContext, "applicationContext");
        GlobalConfig.Companion companion3 = GlobalConfig.Companion;
        Context applicationContext2 = getApplicationContext();
        Intrinsics.checkNotNullExpressionValue(applicationContext2, "applicationContext");
        companion2.copyRawResourceToDisk(applicationContext, R.raw.geosite, companion3.getGeoSitePath(applicationContext2));
        ProxyHelper.Companion companion4 = ProxyHelper.Companion;
        Context applicationContext3 = getApplicationContext();
        Intrinsics.checkNotNullExpressionValue(applicationContext3, "applicationContext");
        GlobalConfig.Companion companion5 = GlobalConfig.Companion;
        Context applicationContext4 = getApplicationContext();
        Intrinsics.checkNotNullExpressionValue(applicationContext4, "applicationContext");
        companion4.copyRawResourceToDisk(applicationContext3, R.raw.geolite2_country, companion5.getGeoLite2CountryPath(applicationContext4));
    }

    @Metadata(d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\b\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0018\u0010\u0003\u001a\u00020\u00042\u0006\u0010\u0005\u001a\u00020\u00062\u0006\u0010\u0007\u001a\u00020\bH\u0002¨\u0006\t"}, d2 = {"Lcom/squirrelvpn/MainApplication$Companion;", "", "()V", "initializeFlipper", "", "context", "Landroid/content/Context;", "reactInstanceManager", "Lcom/facebook/react/ReactInstanceManager;", "app_release"}, k = 1, mv = {1, 6, 0}, xi = 48)
    /* compiled from: MainApplication.kt */
    public static final class Companion {
        public /* synthetic */ Companion(DefaultConstructorMarker defaultConstructorMarker) {
            this();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private final void initializeFlipper(Context context, ReactInstanceManager reactInstanceManager) {
        }

        private Companion() {
        }
    }
}
