package kotlin.reflect.jvm.internal.impl.builtins.jvm;

import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.Ref;
import kotlin.reflect.jvm.internal.impl.builtins.jvm.JvmBuiltInsCustomizer;
import kotlin.reflect.jvm.internal.impl.descriptors.ClassDescriptor;
import kotlin.reflect.jvm.internal.impl.load.kotlin.MethodSignatureBuildingUtilsKt;
import kotlin.reflect.jvm.internal.impl.load.kotlin.SignatureBuildingComponents;
import kotlin.reflect.jvm.internal.impl.utils.DFS;

/* compiled from: JvmBuiltInsCustomizer.kt */
public final class JvmBuiltInsCustomizer$getJdkMethodStatus$2 extends DFS.AbstractNodeHandler<ClassDescriptor, JvmBuiltInsCustomizer.JDKMemberStatus> {
    final /* synthetic */ String $jvmDescriptor;
    final /* synthetic */ Ref.ObjectRef<JvmBuiltInsCustomizer.JDKMemberStatus> $result;

    JvmBuiltInsCustomizer$getJdkMethodStatus$2(String str, Ref.ObjectRef<JvmBuiltInsCustomizer.JDKMemberStatus> objectRef) {
        this.$jvmDescriptor = str;
        this.$result = objectRef;
    }

    public boolean beforeChildren(ClassDescriptor classDescriptor) {
        Intrinsics.checkNotNullParameter(classDescriptor, "javaClassDescriptor");
        String signature = MethodSignatureBuildingUtilsKt.signature(SignatureBuildingComponents.INSTANCE, classDescriptor, this.$jvmDescriptor);
        if (JvmBuiltInsSignatures.INSTANCE.getHIDDEN_METHOD_SIGNATURES().contains(signature)) {
            this.$result.element = (T) JvmBuiltInsCustomizer.JDKMemberStatus.HIDDEN;
        } else if (JvmBuiltInsSignatures.INSTANCE.getVISIBLE_METHOD_SIGNATURES().contains(signature)) {
            this.$result.element = (T) JvmBuiltInsCustomizer.JDKMemberStatus.VISIBLE;
        } else if (JvmBuiltInsSignatures.INSTANCE.getDROP_LIST_METHOD_SIGNATURES().contains(signature)) {
            this.$result.element = (T) JvmBuiltInsCustomizer.JDKMemberStatus.DROP;
        }
        return this.$result.element == null;
    }

    @Override // kotlin.reflect.jvm.internal.impl.utils.DFS.NodeHandler
    public JvmBuiltInsCustomizer.JDKMemberStatus result() {
        T t = this.$result.element;
        return t == null ? JvmBuiltInsCustomizer.JDKMemberStatus.NOT_CONSIDERED : t;
    }
}
